<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 */

/**
 * Get all the default values of the theme mods.
 */
function restro_cafe_pro_get_default_mods() {
	$restro_cafe_pro_default_mods = array(
		// Design Layout
		'restro_cafe_pro_design'=>'default-design', 

		// Top header
		'restro_cafe_pro_header_phone' => esc_html__( '+0500000000', 'restro-cafe-pro' ),
		'restro_cafe_pro_header_location' => esc_html__( '732/21 King Street, United Kingdom', 'restro-cafe-pro' ),
		
		// CTA
		'restro_cafe_pro_cta_title' => __( 'BEST GRILLED STEAK', 'restro-cafe-pro' ),
		'restro_cafe_pro_cta_sub_title ' => __( 'Free Delivery', 'restro-cafe-pro' ),
		'restro_cafe_pro_cta_content' => __( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'restro-cafe-pro' ),
		'restro_cafe_pro_cta_btn_txt' => __( 'Shop Now', 'restro-cafe-pro' ),

		// About
		'restro_cafe_pro_about_title' => __( 'WELCOME EATING WELL', 'restro-cafe-pro' ),
		'restro_cafe_pro_about_sub_title ' => __( 'About Us', 'restro-cafe-pro' ),
		'restro_cafe_pro_about_content' => __( 'Visit one, you offer a free rib dinner. You sit them down, put a red napkin on the table, not a white one. Identify them as a first time customer, connect with them and work to get them back a second time and a third time. Everyone on your staff should know what’s going on...', 'restro-cafe-pro' ),
		'restro_cafe_pro_about_btn_txt' => __( 'Continue Reading', 'restro-cafe-pro' ),
		
		// Popular
		'restro_cafe_pro_popular_custom_title' => __('GRILLED CHICKEN', 'restro-cafe-pro'),
		'restro_cafe_pro_popular_custom_content' => __( 'SUMMER PIZZA', 'restro-cafe-pro' ),
		'restro_cafe_pro_popular_custom_btn' => __( 'Know More', 'restro-cafe-pro' ),

		'restro_cafe_pro_category_section_title' => __( 'The Salad Bar Table ', 'restro-cafe-pro' ),
		'restro_cafe_pro_category_section_sub_title' => __( 'Shop', 'restro-cafe-pro' ),

		// Menus
		'restro_cafe_pro_menus_section_title' => __('WEEKLY SPECIALS', 'restro-cafe-pro'),
		'restro_cafe_pro_menus_section_subtitle' => __('Menus', 'restro-cafe-pro'),
		'restro_cafe_pro_menus_custom_title' => __('SPAGHETTI BOLOGNESE', 'restro-cafe-pro'),
		'restro_cafe_pro_menus_custom_content' => __( 'Bolognese sauce is a meat-based sauce in Italian cuisine, typical of the city of Bologna ', 'restro-cafe-pro' ),
		'restro_cafe_pro_menus_readmore_btn' => __( 'Know More', 'restro-cafe-pro' ),
		'restro_cafe_pro_menus_custom_price'  =>  __( '$27', 'restro-cafe-pro' ),



		// Testimonials
		'restro_cafe_pro_testimonial_custom_content' => __( '“I was determined to get that job, and I knew that even these setbacks wouldn’t deter me from learning PHP. When you don’t have time to waste, you don’t have time to feel desperate; instead, you have to focus on finding solutions.”', 'restro-cafe-pro' ),
		'restro_cafe_pro_testimonial_custom_name' => __( 'Natalia Tarasova', 'restro-cafe-pro' ),
		'restro_cafe_pro_testimonial_custom_sub_title' => __( 'New York, U.S.A', 'restro-cafe-pro' ),

		// Sliders
		'restro_cafe_pro_slider_custom_title' => __('Really Maters', 'restro-cafe-pro'),
		'restro_cafe_pro_slider_custom_content' => __( 'Visit one, you offer a free rib dinner. You sit them down, put a red napkin on the table, not a white one. Identify yourself to them as a first time customer.', 'restro-cafe-pro' ),
		'restro_cafe_pro_slider_custom_btn' => __( 'Know More', 'restro-cafe-pro' ),
		'restro_cafe_pro_slider_custom_subtitle' => __('Good Taste', 'restro-cafe-pro'),

		// Services
		'restro_cafe_pro_services_custom_title' => __('TASTY FOOD', 'restro-cafe-pro'),
		'restro_cafe_pro_services_custom_content' => __( 'Visit one, you offer a free rib dinner. You sit them down, put a red napkin on the table', 'restro-cafe-pro' ),
		'restro_cafe_pro_services_section_title' => __( 'WHAT WE OFER', 'restro-cafe-pro' ),
		'restro_cafe_pro_services_section_subtitle' => __('Services', 'restro-cafe-pro'),

		// Blog section
		'restro_cafe_pro_blog_section_title' => __( 'SPECIAL TIPS & RECIPES', 'restro-cafe-pro' ),
		'restro_cafe_pro_blog_section_sub_title' => __( 'From Blog', 'restro-cafe-pro' ),
		'restro_cafe_pro_blog_section_btn_txt' => __( 'View All Blogs', 'restro-cafe-pro' ),

		// Footer copyright
		'restro_cafe_pro_copyright_txt' => sprintf( esc_html__( 'Theme: %1$s by %2$s.', 'restro-cafe-pro' ), 'Restro Cafe Pro', '<a href="' . esc_url( 'http://moralthemes.com/' ) . '">Moral Themes</a>' ),

		// Homepage sortable sections
		'restro_cafe_pro_sort_home_sections' => array( 'slider', 'popular', 'services', 'cta', 'category', 'about', 'menus', 'blog', 'testimonials', 'instagram' ),
	);

	return apply_filters( 'restro_cafe_pro_default_mods', $restro_cafe_pro_default_mods );
}

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function restro_cafe_pro_customize_register( $wp_customize ) {
	/**
	 * Separator custom control
	 *
	 * @version 1.0.0
	 * @since  1.0.0
	 */
	class Restro_Cafe_Pro_Multi_Custom_Control extends WP_Customize_Control {
		/**
		 * Control type
		 *
		 * @var string
		 */
		public $type = 'restro-cafe-pro-separator';

		/**
		 * Control type
		 *
		 * @var string
		 */
		public $content = '';

		/**
		 * Control method
		 *
		 * @since 1.0.0
		 */
		public function render_content() {
			if ( 'restro-cafe-pro-separator' === $this->type ) : ?>
				<p><hr style="border-color: #222; opacity: 0.2;"></p>
			<?php endif; ?>

			<?php if ( 'restro-cafe-pro-custom' === $this->type ) : ?>
				<?php echo wp_kses_post( $this->content );?>
			<?php endif; 
		}
	}

	/**
	 * Radio color customize control.
	 *
	 * @since  3.0.0
	 * @access public
	 */
	class Restro_Cafe_Pro_Customize_Control_Radio_Color extends WP_Customize_Control {

		/**
		 * The type of customize control being rendered.
		 *
		 * @since  3.0.0
		 * @access public
		 * @var    string
		 */
		public $type = 'radio-color';

		/**
		 * Add custom parameters to pass to the JS via JSON.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function to_json() {
			parent::to_json();

			// We need to make sure we have the correct color URL.
			foreach ( $this->choices as $value => $args )
				$this->choices[ $value ]['color'] = esc_attr( $args['color'] );

			$this->json['choices'] = $this->choices;
			$this->json['link']    = $this->get_link();
			$this->json['value']   = $this->value();
			$this->json['id']      = $this->id;
		}

		/**
		 * Don't render the content via PHP.  This control is handled with a JS template.
		 *
		 * @since  4.0.0
		 * @access public
		 * @return bool
		 */
		protected function render_content() {}

		/**
		 * Underscore JS template to handle the control's output.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function content_template() { ?>

			<# if ( ! data.choices ) {
				return;
			} #>

			<# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

			<# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

			<# _.each( data.choices, function( args, choice ) { #>
				<label>
					<input type="radio" value="{{ choice }}" name="_customize-{{ data.type }}-{{ data.id }}" {{{ data.link }}} <# if ( choice === data.value ) { #> checked="checked" <# } #> />

					<span class="screen-reader-text">{{ args.label }}</span>
					
					<# if ( 'custom' != choice ) { #>
						<span class="color-value" style="background-color: {{ args.color }}"></span>
					<# } else { #>
						<span class="color-value custom-color-value"></span>
					<# } #>
				</label>
			<# } ) #>
		<?php }
	}

	$wp_customize->register_control_type( 'Restro_Cafe_Pro_Customize_Control_Radio_Color' );

	class Restro_Cafe_Pro_Customize_Control_Sort_Sections extends WP_Customize_Control {

	  	/**
	   	* Control Type
	   	*/
	  	public $type = 'sortable';
	  
		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

	    	$choices = $this->choices;
	      	$choices = array_filter( array_merge( array_flip( $this->value() ), $choices ) );
		  	$this->json['choices'] = $choices;
		  	$this->json['link']    = $this->get_link();
		  	$this->json['value']   = $this->value();
		  	$this->json['id']      = $this->id;
	  	}

	  	/**
	   	* Render Settings
	   	*/
	  	public function content_template() { ?>
		  	<# if ( ! data.choices ) {
		  		return;
		  	} #>

		    <# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

		    <# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

		    <ul class="restro-cafe-pro-sortable-list">

		      	<# _.each( data.choices, function( args, choice ) { #>

		        <li>
		            <input class="restro-cafe-pro-sortable-input sortable-hideme" name="{{choice}}" type="hidden"  value="{{ choice }}" />
		            <span class ="menu-item-handle sortable-span">{{args.name}}</span>
		          <i title="<?php esc_attr_e( 'Drag and Move', 'restro-cafe-pro' );?>" class="dashicons dashicons-menu restro-cafe-pro-drag-handle"></i>
		          <i title="<?php esc_attr_e( 'Edit', 'restro-cafe-pro' );?>" class="dashicons dashicons-edit restro-cafe-pro-edit" data-jump="{{args.section_id}}"></i>
		        </li>

		        <# } ) #>

		        <li class="sortable-hideme">
		          <input class="restro-cafe-pro-sortable-value" {{{ data.link }}} value="{{data.value}}" />
		        </li>

		    </ul>
	  	<?php
	  	}
	}

	$wp_customize->register_control_type( 'Restro_Cafe_Pro_Customize_Control_Sort_Sections' );

	class Restro_Cafe_Pro_Customize_Control_Range_Value extends WP_Customize_Control {
		public $type = 'range-value';

		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

		  	$this->json['link']    		= $this->get_link();
		  	$this->json['value']  		= $this->value();
		  	$this->json['id']      		= $this->id;
		  	$this->json['input_attrs']      		= $this->input_attrs;
	  	}

		/**
		 * Render the control's content.
		 *
		 */
		public function content_template() {
			?>
			<label>
		    	<# if ( data.label ) { #>
					<span class="customize-control-title">{{ data.label }}</span>
				<# } #>
				<div class="range-slider"  style="width:100%; display:flex;flex-direction: row;justify-content: flex-start;">
					<span  style="width:100%; flex: 1 0 0; vertical-align: middle;"><input class="range-slider__range" type="range" value="{{{ data.value }}}" 
						<# _.each( data.input_attrs, function( input_value, attr ) { #>
							{{{attr}}} = {{{input_value}}}
		        		<# } ) #>
						{{{ data.link }}}>
					<span class="range-slider__value">0</span></span>
				</div>
		    	<# if ( data.description ) { #>
					<span class="description customize-control-description">{{{ data.description }}}</span>
				<# } #>
			</label>
			<?php
		}
	}

	$wp_customize->register_control_type( 'Restro_Cafe_Pro_Customize_Control_Range_Value' );

	$default = restro_cafe_pro_get_default_mods();

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'restro_cafe_pro_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'restro_cafe_pro_customize_partial_blogdescription',
		) );
	}

	$wp_customize->add_section(
		'restro_cafe_pro_design_section',
		array(
			'title' => esc_html__( 'Homepage Design', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Homepage Design settings
	$wp_customize->add_setting(
		'restro_cafe_pro_design',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => $default['restro_cafe_pro_design'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_design',
		array(
			'section'		=> 'restro_cafe_pro_design_section',
			'label'			=> esc_html__( 'Homepage Design Options', 'restro-cafe-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
					'default-design' => esc_html__( 'Default Design', 'restro-cafe-pro' ),
					'second-design'  => esc_html__( 'Second Design', 'restro-cafe-pro' ),
					)
		)
	);

	/**
	 *
	 * 
	 * Header panel
	 *
	 * 
	 */
	// Header panel
	$wp_customize->add_panel(
		'restro_cafe_pro_header_panel',
		array(
			'title' => esc_html__( 'Header', 'restro-cafe-pro' ),
			'priority' => 100
		)
	);

	// Top  header section
	$wp_customize->add_section(
		'restro_cafe_pro_top_header_section',
		array(
			'title' => esc_html__( 'Top header', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_header_panel',
		)
	);

	// Top header phone number settings.
	$wp_customize->add_setting(
		'restro_cafe_pro_header_phone',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_header_phone'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_header_phone',
		array(
			'section'		=> 'restro_cafe_pro_top_header_section',
			'label'			=> esc_html__( 'Phone number:', 'restro-cafe-pro' ),
		)
	);

	$wp_customize->selective_refresh->add_partial( 'restro_cafe_pro_header_phone', array(
		'selector'        => '#top-navigation .widget_contact_address .phone span',
		'render_callback' => 'restro_cafe_pro_customize_partial_header_phone',
	) );

	// Top header email settings.
	$wp_customize->add_setting(
		'restro_cafe_pro_header_location',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_header_location'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_header_location',
		array(
			'section'		=> 'restro_cafe_pro_top_header_section',
			'label'			=> esc_html__( 'Email:', 'restro-cafe-pro' ),
		)
	);

	$wp_customize->selective_refresh->add_partial( 'restro_cafe_pro_header_location', array(
		'selector'        => '#top-navigation .widget_contact_address .message span',
		'render_callback' => 'restro_cafe_pro_customize_partial_header_phone',
	) );

	$wp_customize->get_section( 'title_tagline' )->panel         = 'restro_cafe_pro_header_panel';
	$wp_customize->get_section( 'title_tagline' )->priority = 170;

	// Header image section
	$wp_customize->get_section( 'header_image' )->panel         = 'restro_cafe_pro_header_panel';
	$wp_customize->get_section( 'header_image' )->priority = 180;

	// Header section
	$wp_customize->add_section(
		'restro_cafe_pro_header_section',
		array(
			'title' => esc_html__( 'Header', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_header_panel',
		)
	);
	// Header menu sticky enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_make_menu_sticky',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => false
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_make_menu_sticky',
		array(
			'section'		=> 'restro_cafe_pro_header_section',
			'label'			=> esc_html__( 'Make menu sticky.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Header menu sticky enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_make_menu_transparent',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_make_menu_transparent',
		array(
			'section'		=> 'restro_cafe_pro_header_section',
			'label'			=> esc_html__( 'Make menu transparent.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 *
	 * 
	 * Home sections panel
	 *
	 * 
	 */
	// Home sections panel
	$wp_customize->add_panel(
		'restro_cafe_pro_home_panel',
		array(
			'title' => esc_html__( 'Homepage', 'restro-cafe-pro' ),
			'priority' => 105
		)
	);

	$wp_customize->get_section( 'static_front_page' )->panel         = 'restro_cafe_pro_home_panel';

	// Homepage sort section
	$wp_customize->add_section(
		'restro_cafe_pro_homepage_section_sort',
		array(
			'title' => esc_html__( 'Sort sections', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Homepage sections sortable.
	$wp_customize->add_setting(	
		'restro_cafe_pro_sort_home_sections',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_sort',
			'default'	=> $default['restro_cafe_pro_sort_home_sections'],
		)
	);

	$wp_customize->add_control( 
		new Restro_Cafe_Pro_Customize_Control_Sort_Sections( 
		$wp_customize,
		'restro_cafe_pro_sort_home_sections',
			array(
				'section'		=> 'restro_cafe_pro_homepage_section_sort',
				'label'			=> esc_html__( 'Sort sections', 'restro-cafe-pro' ),
				'choices'  => array(
		            'slider'    => array(
		            	'name' => esc_html__( 'Slider', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_slider'
		            ),  
		            'popular'    => array(
		            	'name' => esc_html__( 'Popular', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_popular'
		            ),
		            'services'    => array(
		            	'name' => esc_html__( 'Services', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_services'
		            ),
		            'cta'    => array(
		            	'name' => esc_html__( 'CTA', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_cta'
		            ),
		            'category'    => array(
		            	'name' => esc_html__( 'Category Tab', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_cat_tab'
		            ),
		            'about'    => array(
		            	'name' => esc_html__( 'About', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_about'
		            ), 
		            'menus'    => array(
		            	'name' => esc_html__( 'Menus', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_menus'
		            ),
		            'blog'    => array(
		            	'name' => esc_html__( 'Blog Section', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_blog_section'
		            ),
		            'testimonials'    => array(
		            	'name' => esc_html__( 'Testimonial', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_testimonial'
		            ), 
		            'instagram'    => array(
		            	'name' => esc_html__( 'Instagram', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_instagram'
		            ),
		        ),
			)
		)
	);

	// Your latest posts title setting
	$wp_customize->add_setting(	
		'restro_cafe_pro_your_latest_posts_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'Blogs', 'restro-cafe-pro' ),
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_your_latest_posts_title',
		array(
			'section'		=> 'static_front_page',
			'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_is_latest_posts'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_your_latest_posts_title', 
		array(
	        'selector'            => '.home.blog #page-header .page-title',
			'render_callback'     => 'restro_cafe_pro_your_latest_posts_partial_title',
    	) 
    );

	/**
	 * Slider section
	 */
	// Slider section
	$wp_customize->add_section(
		'restro_cafe_pro_slider',
		array(
			'title' => esc_html__( 'Slider', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Slider enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_slider',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'page'
		)
	);

	
	$choices =  array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	);

	$wp_customize->add_control(
		'restro_cafe_pro_slider',
		array(
			'section'		=> 'restro_cafe_pro_slider',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> $choices,
		)
	);

	// Slider custom name setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_custom_btn',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_slider_custom_btn'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_custom_btn',
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Button text ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_slider_not_disabled'
			)
		);

		// Slider custom link setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_custom_link',
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_custom_link',
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Button link ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_slider_custom',
				'type'			=> 'url'
			)
		);

	// Slider number setting
	$wp_customize->add_setting(
		'restro_cafe_pro_slider_num',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_slider_num',
		array(
			'section'		=> 'restro_cafe_pro_slider',
			'label'			=> esc_html__( 'Number of slider:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 9', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_slider_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 9 ),
		)
	);

	// Slider number separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_slider_num_separator',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_slider_num_separator',
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'active_callback' => 'restro_cafe_pro_if_slider_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);

	// Slider category setting
	$wp_customize->add_setting(
		'restro_cafe_pro_slider_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_slider_cat',
		array(
			'section'		=> 'restro_cafe_pro_slider',
			'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_slider_cat',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_cat_choices(),
		)
	);



	$slider_num = get_theme_mod( 'restro_cafe_pro_slider_num', 3 );
	for ( $i=1; $i <= $slider_num; $i++ ) { 
		// Slider custom image setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_image_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'restro_cafe_pro_slider_image_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_slider',
					'label'			=> esc_html__( 'Image ', 'restro-cafe-pro' ) . $i,
					'active_callback' => 'restro_cafe_pro_if_slider_custom',
				)
			)
		);

		 // Slider custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_slider_custom_title'],
				'transport'	=> 'postMessage',

			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_custom_title_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_slider_custom',
				'type'			=> 'text'
			)
		);

	    // Slider custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_custom_content_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
				'default' => $default['restro_cafe_pro_slider_custom_content'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_custom_content_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_slider_custom',
				'type'			=> 'textarea'
			)
		);

		// Slider custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_custom_subtitle_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_slider_custom_subtitle'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_custom_subtitle_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Subtitle ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_slider_not_disabled',
				'type'			=> 'text'
			)
		);


		// Slider post setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_post_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_post_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_slider_post',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_choices(),
			)
		);
		
		// Slider page setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_page_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_slider_page_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_slider',
				'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'restro_cafe_pro_if_slider_page'
			)
		);
		
		// Slider custom separator setting
		$wp_customize->add_setting(
			'restro_cafe_pro_slider_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Restro_Cafe_Pro_Multi_Custom_Control( 
			$wp_customize,
			'restro_cafe_pro_slider_custom_separator_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_slider',
					'active_callback' => 'restro_cafe_pro_if_slider_not_disabled',
					'type'			=> 'restro-cafe-pro-separator',
				)
			)
		);
	}

	/**
	 * Popular section
	 */
	// Popular section
	$wp_customize->add_section(
		'restro_cafe_pro_popular',
		array(
			'title' => esc_html__( 'Popular', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Popular enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_popular',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	// Popular custom name setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_custom_btn',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_popular_custom_btn'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_custom_btn',
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Button text ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_popular_not_disabled'
			)
		);

		// Popular custom link setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_custom_link',
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_custom_link',
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Button link ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_popular_custom',
				'type'			=> 'url'
			)
		);
	$choices =  array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	);
	if ( restro_cafe_pro_is_woocommerce_activated() ) {
			$choices['recent-products'] = esc_html__( 'Recent products', 'restro-cafe-pro' );
			$choices['product-cat'] = esc_html__( 'Product category ( Show categories )', 'restro-cafe-pro' );
			$choices['product'] = esc_html__( 'Products', 'restro-cafe-pro' );
		}

	$wp_customize->add_control(
		'restro_cafe_pro_popular',
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> $choices,
		)
	);

	// Popular number separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_num_separator',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_popular_num_separator',
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'active_callback' => 'restro_cafe_pro_if_popular_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);

	// Popular category setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_cat',
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_popular_cat',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_cat_choices(),
		)
	);




	for ( $i=1; $i <= 4; $i++ ) { 
		// Popular custom image setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_image_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'restro_cafe_pro_popular_image_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_popular',
					'label'			=> esc_html__( 'Image ', 'restro-cafe-pro' ) . $i,
					'active_callback' => 'restro_cafe_pro_if_popular_custom',
				)
			)
		);

		 // Popular custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_popular_custom_title'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_custom_title_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_popular_custom',
				'type'			=> 'text'
			)
		);

	    // Popular custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_custom_content_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
				'default' => $default['restro_cafe_pro_popular_custom_content'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_custom_content_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_popular_custom',
				'type'			=> 'textarea'
			)
		);

		// Popular post setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_post_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_post_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_popular_post',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_choices(),
			)
		);
		
		// Popular page setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_page_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_page_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'restro_cafe_pro_if_popular_page'
			)
		);

		if ( restro_cafe_pro_is_woocommerce_activated () ) {
			// Popular product category setting
			$wp_customize->add_setting(
				'restro_cafe_pro_popular_product_cat_' . $i,
				array(
					'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'restro_cafe_pro_popular_product_cat_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_popular',
					'label'			=> esc_html__( 'Product category ', 'restro-cafe-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> restro_cafe_pro_get_woo_product_cat(),
					'active_callback' => 'restro_cafe_pro_if_popular_product_cat'
				)
			);

			// Popular product setting
			$wp_customize->add_setting(
				'restro_cafe_pro_popular_product_' . $i,
				array(
					'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'restro_cafe_pro_popular_product_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_popular',
					'label'			=> esc_html__( 'Product ', 'restro-cafe-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> restro_cafe_pro_get_woo_product(),
					'active_callback' => 'restro_cafe_pro_if_popular_product'
				)
			);
		}
		
		// Popular custom separator setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Restro_Cafe_Pro_Multi_Custom_Control( 
			$wp_customize,
			'restro_cafe_pro_popular_custom_separator_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_popular',
					'active_callback' => 'restro_cafe_pro_if_popular_not_disabled',
					'type'			=> 'restro-cafe-pro-separator',
				)
			)
		);
	}


	/**
	 * Services section
	 */
	// Services section
	$wp_customize->add_section(
		'restro_cafe_pro_services',
		array(
			'title' => esc_html__( 'Services', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Category Tab section title setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_section_title',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_services_section_title'],
				'transport'	=> 'refresh',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_services_section_title',
			array(
				'section'		=> 'restro_cafe_pro_services',
				'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_services_not_disabled'
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'restro_cafe_pro_services_section_title', 
			array(
		        'selector'            => '#shop-now .section-title',
				'render_callback'     => 'restro_cafe_pro_services_section_partial_title',
	    	) 
	    );

	    // Category Tab section sub title setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_section_subtitle',
			array(
				'sanitize_callback' => 'sanitize_textarea_field',
				'default' => $default['restro_cafe_pro_services_section_subtitle'],
				'transport'	=> 'refresh',
			)
		);
		$wp_customize->add_control(
		'restro_cafe_pro_services_section_subtitle',
		array(
			'section'		=> 'restro_cafe_pro_services',
			'label'			=> esc_html__( 'Sub Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_services_not_disabled',
			'type'			=> 'textarea'
		)
		);

		$wp_customize->selective_refresh->add_partial( 
			'restro_cafe_pro_services_section_subtitle', 
			array(
		        'selector'            => '#shop-now .section-subtitle',
				'render_callback'     => 'restro_cafe_pro_services_section_partial_sub_title',
	    	) 
	    );

	// Services enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_services',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'custom'
		)
	);
	$choices =  array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	);

	$wp_customize->add_control(
		'restro_cafe_pro_services',
		array(
			'section'		=> 'restro_cafe_pro_services',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> $choices,
		)
	);

	// Services number setting
	$wp_customize->add_setting(
		'restro_cafe_pro_services_num',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_services_num',
		array(
			'section'		=> 'restro_cafe_pro_services',
			'label'			=> esc_html__( 'Number of services:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 9', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_services_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 9 ),
		)
	);

	// Services number separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_services_num_separator',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_services_num_separator',
			array(
				'section'		=> 'restro_cafe_pro_services',
				'active_callback' => 'restro_cafe_pro_if_services_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);

	// Services category setting
	$wp_customize->add_setting(
		'restro_cafe_pro_services_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_services_cat',
		array(
			'section'		=> 'restro_cafe_pro_services',
			'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_services_cat',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_cat_choices(),
		)
	);



	$services_num = get_theme_mod( 'restro_cafe_pro_services_num', 3 );
	for ( $i=1; $i <= $services_num; $i++ ) { 

		// Services icon setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_icons_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_services_icons_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_services',
				'label'			=> esc_html__( 'icon ', 'restro-cafe-pro' ) . $i,
				'description' => sprintf( __('Please input icon as eg: fa-archive. Find Font-awesome icons %1$shere%2$s', 'restro-cafe-pro'), '<a href="' . esc_url( 'https://fontawesome.com/v4.7.0/cheatsheet/' ) . '" target="_blank">', '</a>' ),
				'active_callback' => 'restro_cafe_pro_if_services_not_disabled',
				'type'			=> 'text'
			)
		);
		 // Services custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_services_custom_title'],

			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_services_custom_title_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_services',
				'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_services_custom',
				'type'			=> 'text'
			)
		);

	    // Services custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_custom_content_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
				'default' => $default['restro_cafe_pro_services_custom_content'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_services_custom_content_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_services',
				'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_services_custom',
				'type'			=> 'textarea'
			)
		);

		// Services post setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_post_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_services_post_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_services',
				'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_services_post',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_choices(),
			)
		);
		
		// Services page setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_page_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_services_page_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_services',
				'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'restro_cafe_pro_if_services_page'
			)
		);
		
		// Services custom separator setting
		$wp_customize->add_setting(
			'restro_cafe_pro_services_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Restro_Cafe_Pro_Multi_Custom_Control( 
			$wp_customize,
			'restro_cafe_pro_services_custom_separator_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_services',
					'active_callback' => 'restro_cafe_pro_if_services_not_disabled',
					'type'			=> 'restro-cafe-pro-separator',
				)
			)
		);
	}
	
	/**
	 * CTA section
	 */
	// CTA section
	$wp_customize->add_section(
		'restro_cafe_pro_cta',
		array(
			'title' => esc_html__( 'CTA', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

		// CTA image setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_background_image',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'restro_cafe_pro_cta_background_image',
			array(
				'section'		=> 'restro_cafe_pro_cta',
				'label'			=> esc_html__( 'Background Image:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_cta_enabled',
			)
		)
	);

	// CTA enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_cta',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	)
		)
	);

	// CTA post setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_post',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta_post',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Post:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_cta_post',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_choices(),
		)
	);

	// CTA page setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_page',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta_page',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Page:', 'restro-cafe-pro' ),
			'type'			=> 'dropdown-pages',
			'active_callback' => 'restro_cafe_pro_if_cta_page'
		)
	);

	// CTA image setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_image',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'restro_cafe_pro_cta_image',
			array(
				'section'		=> 'restro_cafe_pro_cta',
				'label'			=> esc_html__( 'Image:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_cta_custom',
			)
		)
	);

	// CTA title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_cta_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta_title',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_cta_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_cta_title', 
		array(
	        'selector'            => '#call-to-action .section-title',
			'render_callback'     => 'restro_cafe_pro_cta_partial_title',
    	) 
    );

	// CTA sub title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_sub_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta_sub_title',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Sub title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_cta_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_cta_sub_title', 
		array(
	        'selector'            => '#call-to-action .section-subtitle',
			'render_callback'     => 'restro_cafe_pro_cta_partial_sub_title',
    	) 
    );

	// CTA button text setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_cta_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta_btn_txt',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Button Text:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_cta_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_cta_btn_txt', 
		array(
	        'selector'            => '#call-to-action .more-link a',
			'render_callback'     => 'restro_cafe_pro_cta_partial_btn_txt',
    	) 
    );

	// CTA link setting
	$wp_customize->add_setting(
		'restro_cafe_pro_cta_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_cta_link',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Button Link:', 'restro-cafe-pro' ),
			'type'			=> 'url',
			'active_callback' => 'restro_cafe_pro_if_cta_custom'
		)
	);

	/**
	 * Category tab section
	 */
	// Category tab section
	$wp_customize->add_section(
		'restro_cafe_pro_cat_tab',
		array(
			'title' => esc_html__( 'Category tab', 'restro-cafe-pro' ),
			'description' => esc_html__( 'Recommended image ratio: 2:3', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	if ( restro_cafe_pro_is_woocommerce_activated() ) :
		// Category tab enable settings
		$wp_customize->add_setting(
			'restro_cafe_pro_cat_tab_enable',
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
				'default' => true
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_cat_tab_enable',
			array(
				'section'		=> 'restro_cafe_pro_cat_tab',
				'label'			=> esc_html__( 'Enable category tab.', 'restro-cafe-pro' ),
				'type'			=> 'checkbox',
			)
		);

		// Category Tab section title setting
		$wp_customize->add_setting(
			'restro_cafe_pro_category_section_title',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_category_section_title'],
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_category_section_title',
			array(
				'section'		=> 'restro_cafe_pro_cat_tab',
				'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_category_tab_not_disabled'
			)
		);

		$wp_customize->selective_refresh->add_partial( 
			'restro_cafe_pro_category_section_title', 
			array(
		        'selector'            => '#shop-now .section-title',
				'render_callback'     => 'restro_cafe_pro_category_section_partial_title',
	    	) 
	    );

	    // Category Tab section sub title setting
		$wp_customize->add_setting(
			'restro_cafe_pro_category_section_sub_title',
			array(
				'sanitize_callback' => 'sanitize_textarea_field',
				'default' => $default['restro_cafe_pro_category_section_sub_title'],
				'transport'	=> 'postMessage',
			)
		);
		$wp_customize->add_control(
		'restro_cafe_pro_category_section_sub_title',
		array(
			'section'		=> 'restro_cafe_pro_cat_tab',
			'label'			=> esc_html__( 'Sub Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_category_tab_not_disabled',
			'type'			=> 'textarea'
		)
		);

		$wp_customize->selective_refresh->add_partial( 
			'restro_cafe_pro_category_section_sub_title', 
			array(
		        'selector'            => '#shop-now .section-subtitle',
				'render_callback'     => 'restro_cafe_pro_category_section_partial_sub_title',
	    	) 
	    );

		// Category tab number setting
		$wp_customize->add_setting(
			'restro_cafe_pro_cta_tab_num',
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
				'default' => 6,
				'transport'	=> 'postMessage',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_cta_tab_num',
			array(
				'section'		=> 'restro_cafe_pro_cat_tab',
				'label'			=> esc_html__( 'Number of category tabs:', 'restro-cafe-pro' ),
				'description'			=> esc_html__( 'Min: 1 | Max: 6', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_category_tab_not_disabled',
				'type'			=> 'number',
				'input_attrs'	=> array( 'min' => 1, 'max' => 6 ),
			)
		);

		$cat_tab_num = get_theme_mod( 'restro_cafe_pro_cta_tab_num', 6 );
		for ( $i=1; $i <= $cat_tab_num; $i++ ) { 
			// Slider product category setting
			$wp_customize->add_setting(
				'restro_cafe_pro_cat_tab_cat_' . $i,
				array(
					'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'restro_cafe_pro_cat_tab_cat_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_cat_tab',
					'label'			=> esc_html__( 'Product category ', 'restro-cafe-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> restro_cafe_pro_get_woo_product_cat(),
					'active_callback' => 'restro_cafe_pro_if_category_tab_not_disabled'
				)
			);
		}
	else: 
		// Testimonial number separator setting
		$wp_customize->add_setting(
			'restro_cafe_pro_cta_woo_install',
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Restro_Cafe_Pro_Multi_Custom_Control( 
			$wp_customize,
			'restro_cafe_pro_cta_woo_install',
				array(
					'section'		=> 'restro_cafe_pro_cat_tab',
					'type'			=> 'store-mall-custom',
					'content' => sprintf( esc_html__( '%1$sInstall & Activate WooCommerce%2$s for this section to work.%3$s', 'restro-cafe-pro' ), '<h3><a target="_blank" href="' . esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins' ) ) . '">', '</a>', '</h3>' ),
				)
			)
		);
	endif;

	

	

	// Category Tab enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_category',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'cat'
		)
	);
	$choices =  array( 
		'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
		'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
 	);
	if ( restro_cafe_pro_is_woocommerce_activated() ) {
			$choices['product-cat'] = esc_html__( 'Product category ( Show categories )', 'restro-cafe-pro' );
		}

	$wp_customize->add_control(
		'restro_cafe_pro_category',
		array(
			'section'		=> 'restro_cafe_pro_category',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> $choices,
		)
	);


	for ( $i=1; $i <= 4; $i++ ) { 

		// Category Tab category setting
		$wp_customize->add_setting(
			'restro_cafe_pro_category_cat_'. $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_category_cat_'. $i,
			array(
				'section'		=> 'restro_cafe_pro_category',
				'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_category_cat',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_cat_choices(),
			)
		);

		if ( restro_cafe_pro_is_woocommerce_activated () ) {
			// Category Tab product category setting
			$wp_customize->add_setting(
				'restro_cafe_pro_category_product_cat_' . $i,
				array(
					'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'restro_cafe_pro_category_product_cat_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_category',
					'label'			=> esc_html__( 'Product category ', 'restro-cafe-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> restro_cafe_pro_get_woo_product_cat(),
					'active_callback' => 'restro_cafe_pro_if_category_product_cat'
				)
			);	
		}
	}

	/**
	 * About section
	 */
	// About section
	$wp_customize->add_section(
		'restro_cafe_pro_about',
		array(
			'title' => esc_html__( 'About', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// About enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_about',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	)
		)
	);

	// About post setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_post',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_post',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Post:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_about_post',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_choices(),
		)
	);

	// About page setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_page',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_page',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Page:', 'restro-cafe-pro' ),
			'type'			=> 'dropdown-pages',
			'active_callback' => 'restro_cafe_pro_if_about_page'
		)
	);

	// About image setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_image',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'restro_cafe_pro_about_image',
			array(
				'section'		=> 'restro_cafe_pro_about',
				'label'			=> esc_html__( 'Image:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_about_custom',
			)
		)
	);

	// About title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_about_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_title',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_about_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_about_title', 
		array(
	        'selector'            => '#call-to-action .section-title',
			'render_callback'     => 'restro_cafe_pro_about_partial_title',
    	) 
    );

	// About sub title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_sub_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_sub_title',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Sub title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_about_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_about_sub_title', 
		array(
	        'selector'            => '#call-to-action .section-subtitle',
			'render_callback'     => 'restro_cafe_pro_about_partial_sub_title',
    	) 
    );

	// About content setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_content',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['restro_cafe_pro_about_content'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_content',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Content:', 'restro-cafe-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'restro_cafe_pro_if_about_custom'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_about_content', 
		array(
	        'selector'            => '#call-to-action .entry-content',
			'render_callback'     => 'restro_cafe_pro_about_partial_content',
    	) 
    );

	// About button text setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_about_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_btn_txt',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Button Text:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_about_enabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_about_btn_txt', 
		array(
	        'selector'            => '#call-to-action .more-link a',
			'render_callback'     => 'restro_cafe_pro_about_partial_btn_txt',
    	) 
    );

	// About link setting
	$wp_customize->add_setting(
		'restro_cafe_pro_about_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_about_link',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Button Link:', 'restro-cafe-pro' ),
			'type'			=> 'url',
			'active_callback' => 'restro_cafe_pro_if_about_custom'
		)
	);


	/**
	 * Menus section
	 */
	// Menus section
	$wp_customize->add_section(
		'restro_cafe_pro_menus',
		array(
			'title' => esc_html__( 'Menus', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_section_background',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'restro_cafe_pro_menus_section_background',
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Background Image ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			)
		)
	);

	// Menus section title setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_section_title',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_menus_section_title'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_section_title',
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Section Title ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
				'type'       => 'text',
			)
		);

		// Menus section subtitle setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_section_subtitle',
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
				'default' => $default['restro_cafe_pro_menus_section_subtitle'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_section_subtitle',
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Section SubTitle ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
				'type'       => 'textarea',
			)
		);

	// Menus custom name setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_readmore_btn',
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_menus_readmore_btn'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_readmore_btn',
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Button text ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
				'type'       => 'text',
			)
		);

		// Menus custom link setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_readmore_url',
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);
		$wp_customize->add_control(
			'restro_cafe_pro_menus_readmore_url',
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Button link ', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
				'type'			=> 'url'
			)
		);

	// Menus enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_menus',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	

		
	$choices =  array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	);
	if ( restro_cafe_pro_is_woocommerce_activated() ) {
			$choices['recent-products'] = esc_html__( 'Recent products', 'restro-cafe-pro' );
			$choices['product'] = esc_html__( 'Products', 'restro-cafe-pro' );
		}

	$wp_customize->add_control(
		'restro_cafe_pro_menus',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> $choices,
		)
	);

	// menus number setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_num',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 6,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_num',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Number of menus:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 12', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 2, 'max' => 12 ),
		)
	);

	// Menus number separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_num_separator',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_menus_num_separator',
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);

	// Menus category setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_cat',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_cat',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_cat_choices(),
		)
	);
	$menus_num= get_theme_mod('restro_cafe_pro_menus_num', 6);

	for ( $i=1; $i <= $menus_num; $i++ ) { 
		// Menus custom image setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_image_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'restro_cafe_pro_menus_image_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_menus',
					'label'			=> esc_html__( 'Image ', 'restro-cafe-pro' ) . $i,
					'active_callback' => 'restro_cafe_pro_if_menus_custom',
				)
			)
		);

		 // Menus custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_custom_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_menus_custom_title'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_custom_title_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_menus_custom',
				'type'			=> 'text'
			)
		);

		// Menus custom link setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_custom_link_' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);
		$wp_customize->add_control(
			'restro_cafe_pro_menus_custom_link_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Url ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_menus_custom',
				'type'			=> 'url'
			)
		);


	    // Menus custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_custom_content_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
				'default' => $default['restro_cafe_pro_menus_custom_content'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_custom_content_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_menus_custom',
				'type'			=> 'textarea'
			)
		);

		 // Menus custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_custom_menus_price_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_menus_custom_price'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_custom_menus_price_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Price ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_menus_custom',
				'type'			=> 'text'
			)
		);

		// Menus post setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_post_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_post_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_menus_post',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_choices(),
			)
		);
		
		// Menus page setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_page_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_page_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'restro_cafe_pro_if_menus_page'
			)
		);

		if ( restro_cafe_pro_is_woocommerce_activated () ) {
			

			// Menus product setting
			$wp_customize->add_setting(
				'restro_cafe_pro_menus_product_' . $i,
				array(
					'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
					'default' => 0,
				)
			);

			$wp_customize->add_control(
				'restro_cafe_pro_menus_product_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_menus',
					'label'			=> esc_html__( 'Product ', 'restro-cafe-pro' ) . $i,
					'type'			=> 'select',
					'choices'		=> restro_cafe_pro_get_woo_product(),
					'active_callback' => 'restro_cafe_pro_if_menus_product'
				)
			);
		}
		
		// Menus custom separator setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Restro_Cafe_Pro_Multi_Custom_Control( 
			$wp_customize,
			'restro_cafe_pro_menus_custom_separator_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_menus',
					'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
					'type'			=> 'restro-cafe-pro-separator',
				)
			)
		);
	}


		/**
	 * Blog section section
	 */
	// Blog section section
	$wp_customize->add_section(
		'restro_cafe_pro_blog_section',
		array(
			'title' => esc_html__( 'Blog section', 'restro-cafe-pro' ),
			'description' => esc_html__( 'Recommended image ratio: 4:3', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Blog section enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_blog_section',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'recent-posts'
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_blog_section',
		array(
			'section'		=> 'restro_cafe_pro_blog_section',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'recent-posts' => esc_html__( 'Recent Posts', 'restro-cafe-pro' ),
					'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
			 	)
		)
	);

	// Blog section title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_blog_section_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_blog_section_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_blog_section_title',
		array(
			'section'		=> 'restro_cafe_pro_blog_section',
			'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_blog_section_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_blog_section_title', 
		array(
	        'selector'            => '#latest-news .section-title',
			'render_callback'     => 'restro_cafe_pro_blog_section_partial_title',
    	) 
    );

    // Blog section sub title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_blog_section_sub_title',
		array(
			'sanitize_callback' => 'sanitize_textarea_field',
			'default' => $default['restro_cafe_pro_blog_section_sub_title'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_blog_section_sub_title',
		array(
			'section'		=> 'restro_cafe_pro_blog_section',
			'label'			=> esc_html__( 'Sub Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_blog_section_not_disabled',
			'type'			=> 'textarea'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_blog_section_sub_title', 
		array(
	        'selector'            => '#latest-news .section-subtitle',
			'render_callback'     => 'restro_cafe_pro_blog_section_partial_sub_title',
    	) 
    );

    // Blog section number setting
	$wp_customize->add_setting(
		'restro_cafe_pro_blog_section_num',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 3,
			// 'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_blog_section_num',
		array(
			'section'		=> 'restro_cafe_pro_blog_section',
			'label'			=> esc_html__( 'Number of posts:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 6', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_blog_section_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 6 ),
		)
	);

	// Blog section category setting
	$wp_customize->add_setting(
		'restro_cafe_pro_blog_section_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_blog_section_cat',
		array(
			'section'		=> 'restro_cafe_pro_blog_section',
			'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'The button will be linked to the selected category\'s archive link automatically.', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_blog_section_cat',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_cat_choices(),
		)
	);

	$restro_cafe_pro_blog_section_num = get_theme_mod( 'restro_cafe_pro_blog_section_num', 3 );
	for ( $i=1; $i <= $restro_cafe_pro_blog_section_num; $i++ ) { 
		// Popular post setting
		$wp_customize->add_setting(
			'restro_cafe_pro_blog_section_post_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_blog_section_post_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_blog_section',
				'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_blog_section_post',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_choices(),
			)
		);
	}


	// Blog section button setting
	$wp_customize->add_setting(
		'restro_cafe_pro_blog_section_btn_txt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_blog_section_btn_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_blog_section_btn_txt',
		array(
			'section'		=> 'restro_cafe_pro_blog_section',
			'label'			=> esc_html__( 'Button text:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_blog_section_not_disabled'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_blog_section_btn_txt', 
		array(
	        'selector'            => '#latest-news .more-blog-posts span',
			'render_callback'     => 'restro_cafe_pro_blog_section_partial_btn_txt',
    	) 
    );



	/**
	 * Testimonial section
	 */
	// Testimonial section
	$wp_customize->add_section(
		'restro_cafe_pro_testimonial',
		array(
			'title' => esc_html__( 'Testimonial', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Testimonial enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_testimonial',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'custom'
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_testimonial',
		array(
			'section'		=> 'restro_cafe_pro_testimonial',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> array( 
					'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
					'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
					'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
					'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
					'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
			 	)
		)
	);

	

	// Testimonial number setting
	$wp_customize->add_setting(
		'restro_cafe_pro_testimonial_num',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 3,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_testimonial_num',
		array(
			'section'		=> 'restro_cafe_pro_testimonial',
			'label'			=> esc_html__( 'Number of testimonial:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Min: 1 | Max: 9', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_testimonial_not_disabled',
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 1, 'max' => 9 ),
		)
	);

	// Testimonial number separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_testimonial_num_separator',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_testimonial_num_separator',
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'active_callback' => 'restro_cafe_pro_if_testimonial_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);

	// Testimonial category setting
	$wp_customize->add_setting(
		'restro_cafe_pro_testimonial_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_testimonial_cat',
		array(
			'section'		=> 'restro_cafe_pro_testimonial',
			'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_testimonial_cat',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_cat_choices(),
		)
	);

	$testimonial_num = get_theme_mod( 'restro_cafe_pro_testimonial_num', 3 );
	for ( $i=1; $i <= $testimonial_num; $i++ ) { 
		// Testimonial custom image setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_image_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
			)
		);

		$wp_customize->add_control(
			new WP_Customize_Image_Control(
				$wp_customize,
				'restro_cafe_pro_testimonial_image_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_testimonial',
					'label'			=> esc_html__( 'Image ', 'restro-cafe-pro' ) . $i,
					'active_callback' => 'restro_cafe_pro_if_testimonial_custom',
				)
			)
		);

		// Testimonial custom name setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_custom_name_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_testimonial_custom_name'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_testimonial_custom_name_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_testimonial_custom'
			)
		);

		// Testimonial custom sub title setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_custom_sub_title_' . $i,
			array(
				'sanitize_callback' => 'sanitize_text_field',
				'default' => $default['restro_cafe_pro_testimonial_custom_sub_title'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_testimonial_custom_sub_title_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'label'			=> esc_html__( 'Sub title ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_testimonial_not_disabled'
			)
		);

	    // Testimonial custom content setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_custom_content_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
				'default' => $default['restro_cafe_pro_testimonial_custom_content'],
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_testimonial_custom_content_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
				'description'			=> esc_html__( 'HTML Allowed ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_testimonial_custom',
				'type'			=> 'textarea'
			)
		);

		// Testimonial custom url setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_custom_url' . $i,
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => '#',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_testimonial_custom_url' . $i,
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'label'			=> esc_html__( 'Url ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_testimonial_custom'
			)
		);

		// Testimonial post setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_post_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_testimonial_post_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_testimonial_post',
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_post_choices(),
			)
		);

		// Testimonial page setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_page_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_testimonial_page_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_testimonial',
				'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'dropdown-pages',
				'active_callback' => 'restro_cafe_pro_if_testimonial_page'
			)
		);

		// Testimonial custom separator setting
		$wp_customize->add_setting(
			'restro_cafe_pro_testimonial_custom_separator_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			)
		);

		$wp_customize->add_control(
			new Restro_Cafe_Pro_Multi_Custom_Control( 
			$wp_customize,
			'restro_cafe_pro_testimonial_custom_separator_' . $i,
				array(
					'section'		=> 'restro_cafe_pro_testimonial',
					'active_callback' => 'restro_cafe_pro_if_testimonial_not_disabled',
					'type'			=> 'restro-cafe-pro-separator',
				)
			)
		);
	}

	/**
	 *Instagram section
	 */
	//Instagram section
	$wp_customize->add_section(
		'restro_cafe_pro_instagram',
		array(
			'title' => esc_html__( 'Your Instagram', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	//Instagram enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_instagram_enable',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_instagram_enable',
		array(
			'section'		=> 'restro_cafe_pro_instagram',
			'label'			=> esc_html__( 'Enable:', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);


	// Instagram id
	$wp_customize->add_setting(	
		'restro_cafe_pro_insta_token',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => '',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_insta_token',
		array(
			'section'		=> 'restro_cafe_pro_instagram',
			'label'			=> esc_html__( 'Instagram Access Token:', 'restro-cafe-pro' ),
			'description'			=> __( 'Get your Instagram token ID from <a target="_blank" href="https://instagram.pixelunion.net/"> here </a>', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_is_insta_enable'
		)
	);


	// Instagram column
	$wp_customize->add_setting(	
		'restro_cafe_pro_insta_count',
		array(
			'sanitize_callback' => 'absint',
			'default' => 6,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_insta_count',
		array(
			'section'		=> 'restro_cafe_pro_instagram',
			'label'			=> esc_html__( 'Number of posts:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Range: 2 to 12', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_is_insta_enable',
			'input_attrs'	=> array( 'min' => 2, 'max' => 12 ),
			'type'			=> 'number'
		)
	);

	// Instagram column
	$wp_customize->add_setting(	
		'restro_cafe_pro_insta_col',
		array(
			'sanitize_callback' => 'absint',
			'default' => 6,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_insta_col',
		array(
			'section'		=> 'restro_cafe_pro_instagram',
			'label'			=> esc_html__( 'Column:', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'Range: 2 to 6', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_is_insta_enable',
			'input_attrs'	=> array( 'min' => 2, 'max' => 6 ),
			'type'			=> 'number'
		)
	);


	/**
	 *
	 * General settings panel
	 * 
	 */
	// General settings panel
	$wp_customize->add_panel(
		'restro_cafe_pro_general_panel',
		array(
			'title' => esc_html__( 'Advanced Settings', 'restro-cafe-pro' ),
			'priority' => 107
		)
	);

	$wp_customize->get_section( 'colors' )->panel         = 'restro_cafe_pro_general_panel';
	

	$wp_customize->add_setting(	
		'restro_cafe_pro_theme_color_scheme',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'lite',
		)
	);

	$wp_customize->add_control( 'restro_cafe_pro_theme_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio',
			'label'			=> esc_html__( 'Theme color scheme:', 'restro-cafe-pro' ),
			'choices'			=> array( 
				'lite' => esc_html__( 'Lite', 'restro-cafe-pro' ), 
				'dark' => esc_html__( 'Dark', 'restro-cafe-pro' ), 
			),
		)
	);
	
	// Color scheme setting
	$wp_customize->add_setting(	
		'restro_cafe_pro_color_scheme',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default'	=> 'default',
		)
	);

	$wp_customize->add_control( 
		new Restro_Cafe_Pro_Customize_Control_Radio_Color( 
		$wp_customize,
		'restro_cafe_pro_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio-color',
			'label'			=> esc_html__( 'Color scheme:', 'restro-cafe-pro' ),
			'choices'		=> array( 
				'default' => array( 
					'color' => '#f44240'
				),
				'orange' => array( 
					'color' => '#ff8737'
				),
				'green' => array( 
					'color' => '#0cc652'
				),
				'blue' => array( 
					'color' => '#1E73BE'
				),
				'custom' => array( 
					'color' => '#f44240'
				),
			),
		)
	)
	);

	// Custom color scheme scheme setting
	$wp_customize->add_setting(	
		'restro_cafe_pro_custom_color_scheme',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_hex_color',
			'default' => '#f44240',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control( 
		$wp_customize,
			'restro_cafe_pro_custom_color_scheme',
			array(
				'section'		=> 'colors',
				'label'			=> esc_html__( 'Custom color:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_custom_color_scheme',
			)
		)
	);

	$wp_customize->get_section( 'background_image' )->panel         = 'restro_cafe_pro_general_panel';
	$wp_customize->get_section( 'custom_css' )->panel         = 'restro_cafe_pro_general_panel';

    /**
	 * Font section
	 */
	// Font section
	$wp_customize->add_section(
		'restro_cafe_pro_font',
		array(
			'title' => esc_html__( 'Font options', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Font enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_h1_h6_font_option',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => '',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_h1_h6_font_option',
		array(
			'section'		=> 'restro_cafe_pro_font',
			'label'			=> sprintf( esc_html__( 'H1 to H6 font family:', 'restro-cafe-pro' ) ),
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_font_choices(),
		)
	);

	// Body font setting
	$wp_customize->add_setting(
		'restro_cafe_pro_body_font_option',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => '',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_body_font_option',
		array(
			'section'		=> 'restro_cafe_pro_font',
			'label'			=> esc_html__( 'Body font family:', 'restro-cafe-pro' ),
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_font_choices(),
		)
	);

	/**
	 * General settings
	 */
	// General settings
	$wp_customize->add_section(
		'restro_cafe_pro_general_section',
		array(
			'title' => esc_html__( 'General', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);


	// Breadcrumb enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_breadcrumb_enable',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_breadcrumb_enable',
		array(
			'section'		=> 'restro_cafe_pro_general_section',
			'label'			=> esc_html__( 'Enable breadcrumb.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Backtop enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_back_to_top_enable',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_back_to_top_enable',
		array(
			'section'		=> 'restro_cafe_pro_general_section',
			'label'			=> esc_html__( 'Enable Scroll up.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Global Layout
	 */
	// Global Layout
	$wp_customize->add_section(
		'restro_cafe_pro_global_layout',
		array(
			'title' => esc_html__( 'Global Layout', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Global site layout setting
	$wp_customize->add_setting(
		'restro_cafe_pro_site_layout',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'wide',
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_site_layout',
		array(
			'section'		=> 'restro_cafe_pro_global_layout',
			'label'			=> esc_html__( 'Site layout', 'restro-cafe-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'boxed' => esc_html__( 'Boxed', 'restro-cafe-pro' ), 
				'wide' => esc_html__( 'Wide', 'restro-cafe-pro' ), 
				'frame' => esc_html__( 'Frame', 'restro-cafe-pro' ), 
			),
		)
	);

	// Global archive layout setting
	$wp_customize->add_setting(
		'restro_cafe_pro_archive_sidebar',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_archive_sidebar',
		array(
			'section'		=> 'restro_cafe_pro_global_layout',
			'label'			=> esc_html__( 'Archive Sidebar', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'This option works on all archive pages like: 404, search, date, category, "Your latest posts" and so on.', 'restro-cafe-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
				'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
			),
		)
	);

	// Global page layout setting
	$wp_customize->add_setting(
		'restro_cafe_pro_global_page_layout',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_global_page_layout',
		array(
			'section'		=> 'restro_cafe_pro_global_layout',
			'label'			=> esc_html__( 'Global page sidebar', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'This option works only on single pages including "Posts page". This setting can be overridden for single page from the metabox too.', 'restro-cafe-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
				'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
			),
		)
	);

	// Global post layout setting
	$wp_customize->add_setting(
		'restro_cafe_pro_global_post_layout',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'right',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_global_post_layout',
		array(
			'section'		=> 'restro_cafe_pro_global_layout',
			'label'			=> esc_html__( 'Global post sidebar', 'restro-cafe-pro' ),
			'description'			=> esc_html__( 'This option works only on single posts. This setting can be overridden for single post from the metabox too.', 'restro-cafe-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
				'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
				'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
				'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
			),
		)
	);

	/**
	 * Blog/Archive section 
	 */
	// Blog/Archive section 
	$wp_customize->add_section(
		'restro_cafe_pro_archive_settings',
		array(
			'title' => esc_html__( 'Archive/Blog', 'restro-cafe-pro' ),
			'description' => esc_html__( 'Settings for archive pages including blog page too.', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Archive excerpt setting
	$wp_customize->add_setting(
		'restro_cafe_pro_archive_excerpt',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'View the post', 'restro-cafe-pro' ),
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_archive_excerpt',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Excerpt more text:', 'restro-cafe-pro' ),
		)
	);

	// Archive excerpt length setting
	$wp_customize->add_setting(
		'restro_cafe_pro_archive_excerpt_length',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 60,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_archive_excerpt_length',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Excerpt more length:', 'restro-cafe-pro' ),
			'type'			=> 'number',
			'input_attrs'   => array( 'min' => 5 ),
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_archive_date',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_archive_date',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Enable date.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_archive_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_archive_cat',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Enable category.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Popular image enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_archive_featured_img',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_archive_featured_img',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Content type setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_archive_content_type',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'excerpt',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_archive_content_type',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
			'choices'		=> array(
				'full-content' => esc_html__( 'Full content', 'restro-cafe-pro' ), 
				'excerpt' => esc_html__( 'Excerpt', 'restro-cafe-pro' ), 
			),
			'type'			=> 'radio',
		)
	);

	// Pagination type setting
	$wp_customize->add_setting(
		'restro_cafe_pro_archive_pagination_type',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'numeric',
		)
	);

	$archive_pagination_description = '';
	$archive_pagination_choices = array( 
				'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
				'numeric' => esc_html__( 'Numeric', 'restro-cafe-pro' ),
				'older_newer' => esc_html__( 'Older / Newer', 'restro-cafe-pro' ),
			);
	if ( ! class_exists( 'JetPack' ) ) {
		$archive_pagination_description = sprintf( esc_html__( 'We recommend to install %1$sJetpack%2$s and enable %3$sInfinite Scroll%4$s feature for automatic loading of posts.', 'restro-cafe-pro' ), '<a target="_blank" href="http://wordpress.org/plugins/jetpack">', '</a>', '<b>', '</b>' );
	} else {
		$archive_pagination_choices['infinite_scroll'] = esc_html__( 'Infinite Load', 'restro-cafe-pro' );
	}
	$wp_customize->add_control(
		'restro_cafe_pro_archive_pagination_type',
		array(
			'section'		=> 'restro_cafe_pro_archive_settings',
			'label'			=> esc_html__( 'Pagination type:', 'restro-cafe-pro' ),
			'description'			=>  $archive_pagination_description,
			'type'			=> 'select',
			'choices'		=> $archive_pagination_choices,
		)
	);

	/**
	 * Single setting section 
	 */
	// Single setting section 
	$wp_customize->add_section(
		'restro_cafe_pro_single_settings',
		array(
			'title' => esc_html__( 'Single Posts', 'restro-cafe-pro' ),
			'description' => esc_html__( 'Settings for all single posts.', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Date enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_date',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_date',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable date.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Category enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_cat',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_cat',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable category.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Tag enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_tag',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_tag',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable tags.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Comment enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_comment',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_comment',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable comment.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);


	// Author enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_author',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_author',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable author.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Popular image enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_featured_img',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_featured_img',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Pagination enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_pagination',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_pagination',
		array(
			'section'		=> 'restro_cafe_pro_single_settings',
			'label'			=> esc_html__( 'Enable pagination.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Single pages setting section 
	 */
	// Single pages setting section 
	$wp_customize->add_section(
		'restro_cafe_pro_single_page_settings',
		array(
			'title' => esc_html__( 'Single Pages', 'restro-cafe-pro' ),
			'description' => esc_html__( 'Settings for all single pages.', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Author enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_page_author',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_page_author',
		array(
			'section'		=> 'restro_cafe_pro_single_page_settings',
			'label'			=> esc_html__( 'Enable author.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Popular image enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_page_featured_img',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_page_featured_img',
		array(
			'section'		=> 'restro_cafe_pro_single_page_settings',
			'label'			=> esc_html__( 'Enable featured image.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Pagination enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_single_page_pagination',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => false,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_single_page_pagination',
		array(
			'section'		=> 'restro_cafe_pro_single_page_settings',
			'label'			=> esc_html__( 'Enable pagination.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 * Reset all settings
	 */
	// Reset settings section
	$wp_customize->add_section(
		'restro_cafe_pro_reset_sections',
		array(
			'title' => esc_html__( 'Reset all', 'restro-cafe-pro' ),
			'description' => esc_html__( 'Reset all settings to default.', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Reset sortable order setting
	$wp_customize->add_setting(
		'restro_cafe_pro_reset_settings',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => false,
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_reset_settings',
		array(
			'section'		=> 'restro_cafe_pro_reset_sections',
			'label'			=> esc_html__( 'Reset all settings?', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	/**
	 *
	 *
	 * Footer copyright
	 *
	 *
	 */
	// Footer copyright
	$wp_customize->add_section(
		'restro_cafe_pro_footer_section',
		array(
			'title' => esc_html__( 'Footer', 'restro-cafe-pro' ),
			'priority' => 106,
			// 'panel' => 'restro_cafe_pro_general_panel',
		)
	);

	// Footer social menu enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_footer_social_menu',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_footer_social_menu',
		array(
			'section'		=> 'restro_cafe_pro_footer_section',
			'label'			=> esc_html__( 'Enable social menu.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Footer text enable setting
	$wp_customize->add_setting(
		'restro_cafe_pro_enable_footer_text',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_enable_footer_text',
		array(
			'section'		=> 'restro_cafe_pro_footer_section',
			'label'			=> esc_html__( 'Enable footer text.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Footer copyright setting
	$wp_customize->add_setting(
		'restro_cafe_pro_copyright_txt',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			'default' => $default['restro_cafe_pro_copyright_txt'],
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_copyright_txt',
		array(
			'section'		=> 'restro_cafe_pro_footer_section',
			'label'			=> esc_html__( 'Copyright text:', 'restro-cafe-pro' ),
			'type'			=> 'textarea',
			'active_callback' => 'restro_cafe_pro_if_footer_text_enable',
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_copyright_txt', 
		array(
	        'selector'            => '#colophon .site-info .footer-copyright',
			'render_callback'     => 'restro_cafe_pro_copyright_partial',
    	) 
    );

	if ( restro_cafe_pro_is_woocommerce_activated() ) :
		// Woo products per page
		$wp_customize->add_setting(
			'restro_cafe_pro_woo_products_per_page',
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
				'default' => 12,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_woo_products_per_page',
			array(
				'section'		=> 'woocommerce_product_catalog',
				'label'			=> esc_html__( 'Products per page', 'restro-cafe-pro' ),
				'type'			=> 'number',
				'input_attrs'	=> array( 'min' => 0 ),
			)
		);
		/**
		 * WooCommerce Options
		 */
		// Top  header section
		$wp_customize->add_section(
			'restro_cafe_pro_woo_layout',
			array(
				'title' => esc_html__( 'Woo Layout', 'restro-cafe-pro' ),
				'panel' => 'woocommerce',
			)
		);

	    // Woo pages sidebar setting
	    $wp_customize->add_setting(
	    	'restro_cafe_pro_woo_global_archive_sidebar',
	    	array(
	    		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
	    		'default' => 'right',
	    	)
	    );

	    $wp_customize->add_control(
	    	'restro_cafe_pro_woo_global_archive_sidebar',
	    	array(
	    		'section'		=> 'restro_cafe_pro_woo_layout',
	    		'label'			=> esc_html__( 'Archive Sidebar', 'restro-cafe-pro' ),
	    		'description'			=> esc_html__( 'This option works on all WooCommerce archive pages like: product, tag archive and shop page.', 'restro-cafe-pro' ),
	    		'type'			=> 'radio',
	    		'choices'		=> array( 
	    			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
	    			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
	    			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
	    		),
	    	)
	    );

	    // Global page layout setting
	    $wp_customize->add_setting(
	    	'restro_cafe_pro_woo_global_singular_layout',
	    	array(
	    		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
	    		'default' => 'right',
	    	)
	    );

	    $wp_customize->add_control(
	    	'restro_cafe_pro_woo_global_singular_layout',
	    	array(
	    		'section'		=> 'restro_cafe_pro_woo_layout',
	    		'label'			=> esc_html__( 'Global single sidebar', 'restro-cafe-pro' ),
	    		'description'			=> esc_html__( 'This option works only on WooCommerge single products. This setting can be overridden for single product from the metabox too.', 'restro-cafe-pro' ),
	    		'type'			=> 'radio',
	    		'choices'		=> array( 
	    			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
	    			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
	    			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
	    		),
	    	)
	    );
	endif;
}
add_action( 'customize_register', 'restro_cafe_pro_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function restro_cafe_pro_customize_preview_js() {
	wp_enqueue_script( 'restro-cafe-pro-customizer', get_theme_file_uri( '/assets/js/customizer.js' ), array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'restro_cafe_pro_customize_preview_js' );

/**
 * Binds JS handlers for Customizer controls.
 */
function restro_cafe_pro_customize_control_js() {


	wp_enqueue_style( 'restro-cafe-pro-customize-style', get_theme_file_uri( '/assets/css/customize-controls.css' ), array(), '20151215' );

	wp_enqueue_script( 'restro-cafe-pro-customize-control', get_theme_file_uri( '/assets/js/customize-control.js' ), array( 'jquery', 'customize-controls' ), '20151215', true );
	$localized_data = array( 
		'refresh_msg' => esc_html__( 'Refresh the page after Save and Publish.', 'restro-cafe-pro' ),
		'reset_msg' => esc_html__( 'Warning!!! This will reset all the settings. Refresh the page after Save and Publish to reset all.', 'restro-cafe-pro' ),
	);

	wp_localize_script( 'restro-cafe-pro-customize-control', 'localized_data', $localized_data );
}
add_action( 'customize_controls_enqueue_scripts', 'restro_cafe_pro_customize_control_js' );

/**
 *
 * Sanitization callbacks.
 * 
 */

/**
 * Checkbox sanitization callback example.
 * 
 * Sanitization callback for 'checkbox' type controls. This callback sanitizes `$checked`
 * as a boolean value, either TRUE or FALSE.
 *
 * @param bool $checked Whether the checkbox is checked.
 * @return bool Whether the checkbox is checked.
 */
function restro_cafe_pro_sanitize_checkbox( $checked ) {
	// Boolean check.
	return ( ( isset( $checked ) && true == $checked ) ? true : false );
}


/**
 * HEX Color sanitization callback example.
 *
 * - Sanitization: hex_color
 * - Control: text, WP_Customize_Color_Control
 *
 */
function restro_cafe_pro_sanitize_hex_color( $hex_color, $setting ) {
	// Sanitize $input as a hex value without the hash prefix.
	$hex_color = sanitize_hex_color( $hex_color );
	
	// If $input is a valid hex value, return it; otherwise, return the default.
	return ( ! is_null( $hex_color ) ? $hex_color : $setting->default );
}

/**
 * Image sanitization callback example.
 *
 * Checks the image's file extension and mime type against a whitelist. If they're allowed,
 * send back the filename, otherwise, return the setting default.
 *
 * - Sanitization: image file extension
 * - Control: text, WP_Customize_Image_Control
 */
function restro_cafe_pro_sanitize_image( $image, $setting ) {
	/*
	 * Array of valid image file types.
	 *
	 * The array includes image mime types that are included in wp_get_mime_types()
	 */
    $mimes = array(
        'jpg|jpeg|jpe' => 'image/jpeg',
        'gif'          => 'image/gif',
        'png'          => 'image/png',
        'bmp'          => 'image/bmp',
        'tif|tiff'     => 'image/tiff',
        'ico'          => 'image/x-icon',
        'svg'          => 'image/svg+xml'
    );
	// Return an array with file extension and mime_type.
    $file = wp_check_filetype( $image, $mimes );
	// If $image has a valid mime_type, return it; otherwise, return the default.
    return ( $file['ext'] ? $image : $setting->default );
}

/**
 * Select sanitization callback example.
 *
 * - Sanitization: select
 * - Control: select, radio
 */
function restro_cafe_pro_sanitize_select( $input, $setting ) {
	
	// Ensure input is a slug.
	$input = sanitize_key( $input );
	
	// Get list of choices from the control associated with the setting.
	$choices = $setting->manager->get_control( $setting->id )->choices;
	
	// If the input is a valid key, return it; otherwise, return the default.
	return ( array_key_exists( $input, $choices ) ? $input : $setting->default );
}

/**
 * Drop-down Pages sanitization callback example.
 *
 * - Sanitization: dropdown-pages
 * - Control: dropdown-pages
 * 
 */
function restro_cafe_pro_sanitize_dropdown_pages( $page_id, $setting ) {
	// Ensure $input is an absolute integer.
	$page_id = absint( $page_id );
	
	// If $page_id is an ID of a published page, return it; otherwise, return the default.
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

/**
 * Number Range sanitization callback example.
 *
 * - Sanitization: number_range
 * - Control: number, tel
 * 
 */
function restro_cafe_pro_sanitize_number_range( $number, $setting ) {
	
	// Ensure input is an absolute integer.
	$number = floatval( $number );
	
	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;
	
	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );
	
	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );
	
	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );
	
	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_float( $number / $step ) ? $number : $setting->default );
}

/**
 * HTML sanitization callback example.
 *
 * - Sanitization: html
 * - Control: text, textarea
 *
 * @param string $html HTML to sanitize.
 * @return string Sanitized HTML.
 */
function restro_cafe_pro_sanitize_html( $html ) {
	return wp_filter_post_kses( $html );
}

/**
 * Sortable section sanitization callback example.
 *
 * - Sanitization: sortable section
 * - Control: sortable
 *
 * @param string $input Value to be sanitized.
 * @return array Sanitized values as array.
 */
function restro_cafe_pro_sanitize_sort( $input ) {
	// Ensure $input is an array.
	if ( ! is_array( $input ) ){
		$input = explode( ',', $input );
	}

	$output = array_map( 'sanitize_text_field', $input );

	return $output;
}

/**
 *
 * Active callbacks.
 * 
 */

/**
 * Check if the Cta is enabled
 */
function restro_cafe_pro_if_cta_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the Cta is custom
 */
function restro_cafe_pro_if_cta_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the Cta is page
 */
function restro_cafe_pro_if_cta_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the Cta is post
 */
function restro_cafe_pro_if_cta_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the about is enabled
 */
function restro_cafe_pro_if_about_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the about is custom
 */
function restro_cafe_pro_if_about_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the about is page
 */
function restro_cafe_pro_if_about_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the about is post
 */
function restro_cafe_pro_if_about_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the popular is not disabled
 */
function restro_cafe_pro_if_popular_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is page
 */
function restro_cafe_pro_if_popular_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is product category.
 */
function restro_cafe_pro_if_popular_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is product.
 */
function restro_cafe_pro_if_popular_product( $control ) {
	return 'product' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is post
 */
function restro_cafe_pro_if_popular_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is cat
 */
function restro_cafe_pro_if_popular_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is custom
 */
function restro_cafe_pro_if_popular_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}


/**
 * Check if the services is not disabled
 */
function restro_cafe_pro_if_services_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is page
 */
function restro_cafe_pro_if_services_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is post
 */
function restro_cafe_pro_if_services_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is cat
 */
function restro_cafe_pro_if_services_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is custom
 */
function restro_cafe_pro_if_services_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}



/**
 * Check if the category tab is not disabled
 */
function restro_cafe_pro_if_category_tab_not_disabled( $control ) {
	return $control->manager->get_setting( 'restro_cafe_pro_cat_tab_enable' )->value();
}


/**
 * Check if the menus is not disabled
 */
function restro_cafe_pro_if_menus_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}


/**
 * Check if the menus is page
 */
function restro_cafe_pro_if_menus_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is product category.
 */
function restro_cafe_pro_if_menus_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is product.
 */
function restro_cafe_pro_if_menus_product( $control ) {
	return 'product' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is post
 */
function restro_cafe_pro_if_menus_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is cat
 */
function restro_cafe_pro_if_menus_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is custom
 */
function restro_cafe_pro_if_menus_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the testimonial is not disabled
 */
function restro_cafe_pro_if_testimonial_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is page
 */
function restro_cafe_pro_if_testimonial_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is post
 */
function restro_cafe_pro_if_testimonial_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is cat
 */
function restro_cafe_pro_if_testimonial_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is custom
 */
function restro_cafe_pro_if_testimonial_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the slider is not disabled
 */
function restro_cafe_pro_if_slider_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is page
 */
function restro_cafe_pro_if_slider_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is product category.
 */
function restro_cafe_pro_if_slider_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is product.
 */
function restro_cafe_pro_if_slider_product( $control ) {
	return 'product' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is post
 */
function restro_cafe_pro_if_slider_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is cat
 */
function restro_cafe_pro_if_slider_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is custom
 */
function restro_cafe_pro_if_slider_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the blog section is not disabled
 */
function restro_cafe_pro_if_blog_section_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_blog_section' )->value();
}

/**
 * Check if the blog section is cat
 */
function restro_cafe_pro_if_blog_section_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_blog_section' )->value();
}

/**
 * Check if the blog section is post
 */
function restro_cafe_pro_if_blog_section_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_blog_section' )->value();
}

/**
 * Check if the footer text is enabled
 */
function restro_cafe_pro_if_footer_text_enable( $control ) {
	return $control->manager->get_setting( 'restro_cafe_pro_enable_footer_text' )->value();
}

/**
 * Check if custom color scheme is enabled
 */
function restro_cafe_pro_if_custom_color_scheme( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_color_scheme' )->value();
}



/**
 * Check if instagram is enabled
 */
function restro_cafe_pro_is_insta_enable( $control ) {
	return $control->manager->get_setting( 'restro_cafe_pro_instagram_enable' )->value();
}



/**
 * Selective refresh.
 */

/**
 * Render the phone number for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_header_phone() {
	echo esc_html( get_theme_mod( 'restro_cafe_pro_header_phone' ) );
}

/**
 * Render the header email for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_header_email() {
	echo esc_html( get_theme_mod( 'restro_cafe_pro_header_location' ) );
}

/**
 * Selective refresh for about title.
 */
function restro_cafe_pro_cta_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_cta_title' ) );
}

/**
 * Selective refresh for about sub title.
 */
function restro_cafe_pro_cta_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_cta_sub_title' ) );
}

/**
 * Selective refresh for about content.
 */
function restro_cafe_pro_cta_partial_content() {
	return wp_kses_post( get_theme_mod( 'restro_cafe_pro_cta_content' ) );
}

/**
 * Selective refresh for about btn text.
 */
function restro_cafe_pro_cta_partial_btn_txt() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_cta_btn_txt' ) );
}

/**
 * Selective refresh for about title.
 */
function restro_cafe_pro_about_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_about_title' ) );
}

/**
 * Selective refresh for about sub title.
 */
function restro_cafe_pro_about_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_about_sub_title' ) );
}

/**
 * Selective refresh for about content.
 */
function restro_cafe_pro_about_partial_content() {
	return wp_kses_post( get_theme_mod( 'restro_cafe_pro_about_content' ) );
}

/**
 * Selective refresh for about btn text.
 */
function restro_cafe_pro_about_partial_btn_txt() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_about_btn_txt' ) );
}

/**
 * Selective refresh for featured title.
 */
function restro_cafe_pro_popular_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_popular_title' ) );
}

/**
 * Selective refresh for featured btn text.
 */   
function restro_cafe_pro_popular_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_popular_sub_title' ) );
}

/**
 * Selective refresh for category section title.
 */
function restro_cafe_pro_category_section_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_category_section_title' ) );
}

/**
 * Selective refresh for category section text.
 */
function restro_cafe_pro_category_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_category_section_sub_title' ) );
}

/**
 * Selective refresh for category section title.
 */
function restro_cafe_pro_services_section_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_services_section_title' ) );
}

/**
 * Selective refresh for category section text.
 */
function restro_cafe_pro_services_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_services_section_sub_title' ) );
}

/**
 * Selective refresh for menus title.
 */
function restro_cafe_pro_menus_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_menus_title' ) );
}

/**
 * Selective refresh for menus btn text.
 */   
function restro_cafe_pro_menus_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_menus_sub_title' ) );
}


/**
 * Selective refresh for testimonial subtitle.
 */
function restro_cafe_pro_testimonial_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_testimonial_sub_title' ) );
}

/**
 * Selective refresh for blog section title.
 */
function restro_cafe_pro_blog_section_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_blog_section_title' ) );
}

/**
 * Selective refresh for blog section text.
 */
function restro_cafe_pro_blog_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_blog_section_sub_title' ) );
}

/**
 * Selective refresh for blog section button text.
 */
function restro_cafe_pro_blog_section_partial_btn_txt() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_blog_section_btn_txt' ) );
}

/**
 * Selective refresh for footer copyright.
 */
function restro_cafe_pro_copyright_partial() {
	return wp_kses_post( get_theme_mod( 'restro_cafe_pro_copyright_txt' ) );
}

/**
 * Selective refresh for your latest posts title.
 */
function restro_cafe_pro_your_latest_posts_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_your_latest_posts_title' ) );
}
