<?php
/**
 * About section
 */
// About section
$wp_customize->add_section(
	'restro_cafe_pro_about',
	array(
		'title' => esc_html__( 'About', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_home_panel',
	)
);

// About enable settings
$wp_customize->add_setting(
	'restro_cafe_pro_about',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'custom'
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
				'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
				'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
				'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
		 	)
	)
);

// About post setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_post',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_post',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Post:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_about_post',
		'type'			=> 'select',
		'choices'		=> restro_cafe_pro_get_post_choices(),
	)
);

// About page setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_page',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_page',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Page:', 'restro-cafe-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'restro_cafe_pro_if_about_page'
	)
);

// About image setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_image',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'restro_cafe_pro_about_image',
		array(
			'section'		=> 'restro_cafe_pro_about',
			'label'			=> esc_html__( 'Image:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_about_custom',
		)
	)
);

// About title setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => $default['restro_cafe_pro_about_title'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_title',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_about_custom'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_about_title', 
	array(
        'selector'            => '#call-to-action .section-title',
		'render_callback'     => 'restro_cafe_pro_about_partial_title',
	) 
);

// About sub title setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_sub_title',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Sub title:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_about_enabled'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_about_sub_title', 
	array(
        'selector'            => '#call-to-action .section-subtitle',
		'render_callback'     => 'restro_cafe_pro_about_partial_sub_title',
	) 
);

// About content setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_content',
	array(
		'sanitize_callback' => 'sanitize_textarea_field',
		'default' => $default['restro_cafe_pro_about_content'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_content',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Content:', 'restro-cafe-pro' ),
		'type'			=> 'textarea',
		'active_callback' => 'restro_cafe_pro_if_about_custom'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_about_content', 
	array(
        'selector'            => '#call-to-action .entry-content',
		'render_callback'     => 'restro_cafe_pro_about_partial_content',
	) 
);

// About button text setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_btn_txt',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => $default['restro_cafe_pro_about_btn_txt'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_btn_txt',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Button Text:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_about_enabled'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_about_btn_txt', 
	array(
        'selector'            => '#call-to-action .more-link a',
		'render_callback'     => 'restro_cafe_pro_about_partial_btn_txt',
	) 
);

// About link setting
$wp_customize->add_setting(
	'restro_cafe_pro_about_link',
	array(
		'sanitize_callback' => 'esc_url_raw',
		'default' => '#',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_about_link',
	array(
		'section'		=> 'restro_cafe_pro_about',
		'label'			=> esc_html__( 'Button Link:', 'restro-cafe-pro' ),
		'type'			=> 'url',
		'active_callback' => 'restro_cafe_pro_if_about_custom'
	)
);