<?php
/**
 *
 * Active callbacks.
 * 
 */

/**
 * Check if the Cta is enabled
 */
function restro_cafe_pro_if_cta_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the Cta is custom
 */
function restro_cafe_pro_if_cta_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the Cta is page
 */
function restro_cafe_pro_if_cta_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the Cta is post
 */
function restro_cafe_pro_if_cta_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_cta' )->value();
}

/**
 * Check if the about is enabled
 */
function restro_cafe_pro_if_about_enabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the about is custom
 */
function restro_cafe_pro_if_about_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the about is page
 */
function restro_cafe_pro_if_about_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the about is post
 */
function restro_cafe_pro_if_about_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_about' )->value();
}

/**
 * Check if the popular is not disabled
 */
function restro_cafe_pro_if_popular_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is page
 */
function restro_cafe_pro_if_popular_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is product category.
 */
function restro_cafe_pro_if_popular_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is product.
 */
function restro_cafe_pro_if_popular_product( $control ) {
	return 'product' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is post
 */
function restro_cafe_pro_if_popular_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is cat
 */
function restro_cafe_pro_if_popular_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}

/**
 * Check if the popular is custom
 */
function restro_cafe_pro_if_popular_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_popular' )->value();
}


/**
 * Check if the services is not disabled
 */
function restro_cafe_pro_if_services_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is page
 */
function restro_cafe_pro_if_services_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is post
 */
function restro_cafe_pro_if_services_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is cat
 */
function restro_cafe_pro_if_services_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}

/**
 * Check if the services is custom
 */
function restro_cafe_pro_if_services_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_services' )->value();
}



/**
 * Check if the category tab is not disabled
 */
function restro_cafe_pro_if_category_tab_not_disabled( $control ) {
	return $control->manager->get_setting( 'restro_cafe_pro_cat_tab_enable' )->value();
}


/**
 * Check if the menus is not disabled
 */
function restro_cafe_pro_if_menus_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}


/**
 * Check if the menus is page
 */
function restro_cafe_pro_if_menus_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is product category.
 */
function restro_cafe_pro_if_menus_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is product.
 */
function restro_cafe_pro_if_menus_product( $control ) {
	return 'product' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is post
 */
function restro_cafe_pro_if_menus_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is cat
 */
function restro_cafe_pro_if_menus_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the menus is custom
 */
function restro_cafe_pro_if_menus_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_menus' )->value();
}

/**
 * Check if the testimonial is not disabled
 */
function restro_cafe_pro_if_testimonial_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is page
 */
function restro_cafe_pro_if_testimonial_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is post
 */
function restro_cafe_pro_if_testimonial_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is cat
 */
function restro_cafe_pro_if_testimonial_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the testimonial is custom
 */
function restro_cafe_pro_if_testimonial_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_testimonial' )->value();
}

/**
 * Check if the slider is not disabled
 */
function restro_cafe_pro_if_slider_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is page
 */
function restro_cafe_pro_if_slider_page( $control ) {
	return 'page' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is product category.
 */
function restro_cafe_pro_if_slider_product_cat( $control ) {
	return 'product-cat' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is product.
 */
function restro_cafe_pro_if_slider_product( $control ) {
	return 'product' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is post
 */
function restro_cafe_pro_if_slider_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is cat
 */
function restro_cafe_pro_if_slider_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the slider is custom
 */
function restro_cafe_pro_if_slider_custom( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_slider' )->value();
}

/**
 * Check if the blog section is not disabled
 */
function restro_cafe_pro_if_blog_section_not_disabled( $control ) {
	return 'disable' != $control->manager->get_setting( 'restro_cafe_pro_blog_section' )->value();
}

/**
 * Check if the blog section is cat
 */
function restro_cafe_pro_if_blog_section_cat( $control ) {
	return 'cat' === $control->manager->get_setting( 'restro_cafe_pro_blog_section' )->value();
}

/**
 * Check if the blog section is post
 */
function restro_cafe_pro_if_blog_section_post( $control ) {
	return 'post' === $control->manager->get_setting( 'restro_cafe_pro_blog_section' )->value();
}

/**
 * Check if the footer text is enabled
 */
function restro_cafe_pro_if_footer_text_enable( $control ) {
	return $control->manager->get_setting( 'restro_cafe_pro_enable_footer_text' )->value();
}

/**
 * Check if custom color scheme is enabled
 */
function restro_cafe_pro_if_custom_color_scheme( $control ) {
	return 'custom' === $control->manager->get_setting( 'restro_cafe_pro_color_scheme' )->value();
}



/**
 * Check if instagram is enabled
 */
function restro_cafe_pro_is_insta_enable( $control ) {
	return $control->manager->get_setting( 'restro_cafe_pro_instagram_enable' )->value();
}