<?php
/**
 * CTA section
 */
// CTA section
$wp_customize->add_section(
	'restro_cafe_pro_cta',
	array(
		'title' => esc_html__( 'CTA', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_home_panel',
	)
);

	// CTA image setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_background_image',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'restro_cafe_pro_cta_background_image',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Background Image:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_cta_enabled',
		)
	)
);

// CTA enable settings
$wp_customize->add_setting(
	'restro_cafe_pro_cta',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'custom'
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
		'type'			=> 'select',
		'choices'		=> array( 
				'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
				'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
				'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
				'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
		 	)
	)
);

// CTA post setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_post',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta_post',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Post:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_cta_post',
		'type'			=> 'select',
		'choices'		=> restro_cafe_pro_get_post_choices(),
	)
);

// CTA page setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_page',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
		'default' => 0,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta_page',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Page:', 'restro-cafe-pro' ),
		'type'			=> 'dropdown-pages',
		'active_callback' => 'restro_cafe_pro_if_cta_page'
	)
);

// CTA image setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_image',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'restro_cafe_pro_cta_image',
		array(
			'section'		=> 'restro_cafe_pro_cta',
			'label'			=> esc_html__( 'Image:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_cta_custom',
		)
	)
);

// CTA title setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => $default['restro_cafe_pro_cta_title'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta_title',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_cta_custom'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_cta_title', 
	array(
        'selector'            => '#call-to-action .section-title',
		'render_callback'     => 'restro_cafe_pro_cta_partial_title',
	) 
);

// CTA sub title setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_sub_title',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta_sub_title',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Sub title:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_cta_enabled'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_cta_sub_title', 
	array(
        'selector'            => '#call-to-action .section-subtitle',
		'render_callback'     => 'restro_cafe_pro_cta_partial_sub_title',
	) 
);

// CTA button text setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_btn_txt',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => $default['restro_cafe_pro_cta_btn_txt'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta_btn_txt',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Button Text:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_cta_enabled'
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_cta_btn_txt', 
	array(
        'selector'            => '#call-to-action .more-link a',
		'render_callback'     => 'restro_cafe_pro_cta_partial_btn_txt',
	) 
);

// CTA link setting
$wp_customize->add_setting(
	'restro_cafe_pro_cta_link',
	array(
		'sanitize_callback' => 'esc_url_raw',
		'default' => '#',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_cta_link',
	array(
		'section'		=> 'restro_cafe_pro_cta',
		'label'			=> esc_html__( 'Button Link:', 'restro-cafe-pro' ),
		'type'			=> 'url',
		'active_callback' => 'restro_cafe_pro_if_cta_custom'
	)
);
