<?php
/**
 * Moral Theme Customizer
 *
 * @package Moral
 */

/**
 * Get all the default values of the theme mods.
 */
function restro_cafe_pro_get_default_mods() {
	$restro_cafe_pro_default_mods = array(
		// Design Layout
		'restro_cafe_pro_design'=>'default-design', 

		// Top header
		'restro_cafe_pro_header_phone' => esc_html__( '+0500000000', 'restro-cafe-pro' ),
		'restro_cafe_pro_header_location' => esc_html__( '732/21 King Street, United Kingdom', 'restro-cafe-pro' ),
		
		// CTA
		'restro_cafe_pro_cta_title' => __( 'BEST GRILLED STEAK', 'restro-cafe-pro' ),
		'restro_cafe_pro_cta_sub_title ' => __( 'Free Delivery', 'restro-cafe-pro' ),
		'restro_cafe_pro_cta_content' => __( 'Discover the latest arrivals from the SS2018 collection. From the finest Jermyn Street shirts to the sharpest suits and refined accessories.', 'restro-cafe-pro' ),
		'restro_cafe_pro_cta_btn_txt' => __( 'Shop Now', 'restro-cafe-pro' ),

		// About
		'restro_cafe_pro_about_title' => __( 'WELCOME EATING WELL', 'restro-cafe-pro' ),
		'restro_cafe_pro_about_sub_title ' => __( 'About Us', 'restro-cafe-pro' ),
		'restro_cafe_pro_about_content' => __( 'Visit one, you offer a free rib dinner. You sit them down, put a red napkin on the table, not a white one. Identify them as a first time customer, connect with them and work to get them back a second time and a third time. Everyone on your staff should know what’s going on...', 'restro-cafe-pro' ),
		'restro_cafe_pro_about_btn_txt' => __( 'Continue Reading', 'restro-cafe-pro' ),
		
		// Popular
		'restro_cafe_pro_popular_custom_title' => __('GRILLED CHICKEN', 'restro-cafe-pro'),
		'restro_cafe_pro_popular_custom_content' => __( 'SUMMER PIZZA', 'restro-cafe-pro' ),
		'restro_cafe_pro_popular_custom_btn' => __( 'Know More', 'restro-cafe-pro' ),

		'restro_cafe_pro_category_section_title' => __( 'The Salad Bar Table ', 'restro-cafe-pro' ),
		'restro_cafe_pro_category_section_sub_title' => __( 'Shop', 'restro-cafe-pro' ),

		// Menus
		'restro_cafe_pro_menus_section_title' => __('WEEKLY SPECIALS', 'restro-cafe-pro'),
		'restro_cafe_pro_menus_section_subtitle' => __('Menus', 'restro-cafe-pro'),
		'restro_cafe_pro_menus_custom_title' => __('SPAGHETTI BOLOGNESE', 'restro-cafe-pro'),
		'restro_cafe_pro_menus_custom_content' => __( 'Bolognese sauce is a meat-based sauce in Italian cuisine, typical of the city of Bologna ', 'restro-cafe-pro' ),
		'restro_cafe_pro_menus_readmore_btn' => __( 'Know More', 'restro-cafe-pro' ),
		'restro_cafe_pro_menus_custom_price'  =>  __( '$27', 'restro-cafe-pro' ),



		// Testimonials
		'restro_cafe_pro_testimonial_custom_content' => __( '“I was determined to get that job, and I knew that even these setbacks wouldn’t deter me from learning PHP. When you don’t have time to waste, you don’t have time to feel desperate; instead, you have to focus on finding solutions.”', 'restro-cafe-pro' ),
		'restro_cafe_pro_testimonial_custom_name' => __( 'Natalia Tarasova', 'restro-cafe-pro' ),
		'restro_cafe_pro_testimonial_custom_sub_title' => __( 'New York, U.S.A', 'restro-cafe-pro' ),

		// Sliders
		'restro_cafe_pro_slider_custom_title' => __('Really Maters', 'restro-cafe-pro'),
		'restro_cafe_pro_slider_custom_content' => __( 'Visit one, you offer a free rib dinner. You sit them down, put a red napkin on the table, not a white one. Identify yourself to them as a first time customer.', 'restro-cafe-pro' ),
		'restro_cafe_pro_slider_custom_btn' => __( 'Know More', 'restro-cafe-pro' ),
		'restro_cafe_pro_slider_custom_subtitle' => __('Good Taste', 'restro-cafe-pro'),

		// Services
		'restro_cafe_pro_services_custom_title' => __('TASTY FOOD', 'restro-cafe-pro'),
		'restro_cafe_pro_services_custom_content' => __( 'Visit one, you offer a free rib dinner. You sit them down, put a red napkin on the table', 'restro-cafe-pro' ),
		'restro_cafe_pro_services_section_title' => __( 'WHAT WE OFER', 'restro-cafe-pro' ),
		'restro_cafe_pro_services_section_subtitle' => __('Services', 'restro-cafe-pro'),

		// Blog section
		'restro_cafe_pro_blog_section_title' => __( 'SPECIAL TIPS & RECIPES', 'restro-cafe-pro' ),
		'restro_cafe_pro_blog_section_sub_title' => __( 'From Blog', 'restro-cafe-pro' ),
		'restro_cafe_pro_blog_section_btn_txt' => __( 'View All Blogs', 'restro-cafe-pro' ),

		// Footer copyright
		'restro_cafe_pro_copyright_txt' => sprintf( esc_html__( 'Theme: %1$s by %2$s.', 'restro-cafe-pro' ), 'Restro Cafe Pro', '<a href="' . esc_url( 'http://moralthemes.com/' ) . '">Moral Themes</a>' ),

		// Homepage sortable sections
		'restro_cafe_pro_sort_home_sections' => array( 'slider', 'popular', 'services', 'cta', 'category', 'about', 'menus', 'blog', 'testimonials', 'instagram' ),
	);

	return apply_filters( 'restro_cafe_pro_default_mods', $restro_cafe_pro_default_mods );
}

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function restro_cafe_pro_customize_register( $wp_customize ) {
	/**
	 * Separator custom control
	 *
	 * @version 1.0.0
	 * @since  1.0.0
	 */
	class Restro_Cafe_Pro_Multi_Custom_Control extends WP_Customize_Control {
		/**
		 * Control type
		 *
		 * @var string
		 */
		public $type = 'restro-cafe-pro-separator';

		/**
		 * Control type
		 *
		 * @var string
		 */
		public $content = '';

		/**
		 * Control method
		 *
		 * @since 1.0.0
		 */
		public function render_content() {
			if ( 'restro-cafe-pro-separator' === $this->type ) : ?>
				<p><hr style="border-color: #222; opacity: 0.2;"></p>
			<?php endif; ?>

			<?php if ( 'restro-cafe-pro-custom' === $this->type ) : ?>
				<?php echo wp_kses_post( $this->content );?>
			<?php endif; 
		}
	}

	/**
	 * Radio color customize control.
	 *
	 * @since  3.0.0
	 * @access public
	 */
	class Restro_Cafe_Pro_Customize_Control_Radio_Color extends WP_Customize_Control {

		/**
		 * The type of customize control being rendered.
		 *
		 * @since  3.0.0
		 * @access public
		 * @var    string
		 */
		public $type = 'radio-color';

		/**
		 * Add custom parameters to pass to the JS via JSON.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function to_json() {
			parent::to_json();

			// We need to make sure we have the correct color URL.
			foreach ( $this->choices as $value => $args )
				$this->choices[ $value ]['color'] = esc_attr( $args['color'] );

			$this->json['choices'] = $this->choices;
			$this->json['link']    = $this->get_link();
			$this->json['value']   = $this->value();
			$this->json['id']      = $this->id;
		}

		/**
		 * Don't render the content via PHP.  This control is handled with a JS template.
		 *
		 * @since  4.0.0
		 * @access public
		 * @return bool
		 */
		protected function render_content() {}

		/**
		 * Underscore JS template to handle the control's output.
		 *
		 * @since  3.0.0
		 * @access public
		 * @return void
		 */
		public function content_template() { ?>

			<# if ( ! data.choices ) {
				return;
			} #>

			<# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

			<# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

			<# _.each( data.choices, function( args, choice ) { #>
				<label>
					<input type="radio" value="{{ choice }}" name="_customize-{{ data.type }}-{{ data.id }}" {{{ data.link }}} <# if ( choice === data.value ) { #> checked="checked" <# } #> />

					<span class="screen-reader-text">{{ args.label }}</span>
					
					<# if ( 'custom' != choice ) { #>
						<span class="color-value" style="background-color: {{ args.color }}"></span>
					<# } else { #>
						<span class="color-value custom-color-value"></span>
					<# } #>
				</label>
			<# } ) #>
		<?php }
	}

	$wp_customize->register_control_type( 'Restro_Cafe_Pro_Customize_Control_Radio_Color' );

	class Restro_Cafe_Pro_Customize_Control_Sort_Sections extends WP_Customize_Control {

	  	/**
	   	* Control Type
	   	*/
	  	public $type = 'sortable';
	  
		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

	    	$choices = $this->choices;
	      	$choices = array_filter( array_merge( array_flip( $this->value() ), $choices ) );
		  	$this->json['choices'] = $choices;
		  	$this->json['link']    = $this->get_link();
		  	$this->json['value']   = $this->value();
		  	$this->json['id']      = $this->id;
	  	}

	  	/**
	   	* Render Settings
	   	*/
	  	public function content_template() { ?>
		  	<# if ( ! data.choices ) {
		  		return;
		  	} #>

		    <# if ( data.label ) { #>
				<span class="customize-control-title">{{ data.label }}</span>
			<# } #>

		    <# if ( data.description ) { #>
				<span class="description customize-control-description">{{{ data.description }}}</span>
			<# } #>

		    <ul class="restro-cafe-pro-sortable-list">

		      	<# _.each( data.choices, function( args, choice ) { #>

		        <li>
		            <input class="restro-cafe-pro-sortable-input sortable-hideme" name="{{choice}}" type="hidden"  value="{{ choice }}" />
		            <span class ="menu-item-handle sortable-span">{{args.name}}</span>
		          <i title="<?php esc_attr_e( 'Drag and Move', 'restro-cafe-pro' );?>" class="dashicons dashicons-menu restro-cafe-pro-drag-handle"></i>
		          <i title="<?php esc_attr_e( 'Edit', 'restro-cafe-pro' );?>" class="dashicons dashicons-edit restro-cafe-pro-edit" data-jump="{{args.section_id}}"></i>
		        </li>

		        <# } ) #>

		        <li class="sortable-hideme">
		          <input class="restro-cafe-pro-sortable-value" {{{ data.link }}} value="{{data.value}}" />
		        </li>

		    </ul>
	  	<?php
	  	}
	}

	$wp_customize->register_control_type( 'Restro_Cafe_Pro_Customize_Control_Sort_Sections' );

	class Restro_Cafe_Pro_Customize_Control_Range_Value extends WP_Customize_Control {
		public $type = 'range-value';

		/**
		* Add custom parameters to pass to the JS via JSON.
		*
		* @access public
		* @return void
		*/
	  	public function to_json() {
		  	parent::to_json();

		  	$this->json['link']    		= $this->get_link();
		  	$this->json['value']  		= $this->value();
		  	$this->json['id']      		= $this->id;
		  	$this->json['input_attrs']      		= $this->input_attrs;
	  	}

		/**
		 * Render the control's content.
		 *
		 */
		public function content_template() {
			?>
			<label>
		    	<# if ( data.label ) { #>
					<span class="customize-control-title">{{ data.label }}</span>
				<# } #>
				<div class="range-slider"  style="width:100%; display:flex;flex-direction: row;justify-content: flex-start;">
					<span  style="width:100%; flex: 1 0 0; vertical-align: middle;"><input class="range-slider__range" type="range" value="{{{ data.value }}}" 
						<# _.each( data.input_attrs, function( input_value, attr ) { #>
							{{{attr}}} = {{{input_value}}}
		        		<# } ) #>
						{{{ data.link }}}>
					<span class="range-slider__value">0</span></span>
				</div>
		    	<# if ( data.description ) { #>
					<span class="description customize-control-description">{{{ data.description }}}</span>
				<# } #>
			</label>
			<?php
		}
	}

	$wp_customize->register_control_type( 'Restro_Cafe_Pro_Customize_Control_Range_Value' );

	$default = restro_cafe_pro_get_default_mods();

	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial( 'blogname', array(
			'selector'        => '.site-title a',
			'render_callback' => 'restro_cafe_pro_customize_partial_blogname',
		) );
		$wp_customize->selective_refresh->add_partial( 'blogdescription', array(
			'selector'        => '.site-description',
			'render_callback' => 'restro_cafe_pro_customize_partial_blogdescription',
		) );
	}

	$wp_customize->add_section(
		'restro_cafe_pro_design_section',
		array(
			'title' => esc_html__( 'Homepage Design', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Homepage Design settings
	$wp_customize->add_setting(
		'restro_cafe_pro_design',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => $default['restro_cafe_pro_design'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_design',
		array(
			'section'		=> 'restro_cafe_pro_design_section',
			'label'			=> esc_html__( 'Homepage Design Options', 'restro-cafe-pro' ),
			'type'			=> 'radio',
			'choices'		=> array( 
					'default-design' => esc_html__( 'Default Design', 'restro-cafe-pro' ),
					'second-design'  => esc_html__( 'Second Design', 'restro-cafe-pro' ),
					)
		)
	);

	/**
	 *
	 * 
	 * Header panel
	 *
	 * 
	 */
	// Header panel
	$wp_customize->add_panel(
		'restro_cafe_pro_header_panel',
		array(
			'title' => esc_html__( 'Header', 'restro-cafe-pro' ),
			'priority' => 100
		)
	);

	// Top  header section
	$wp_customize->add_section(
		'restro_cafe_pro_top_header_section',
		array(
			'title' => esc_html__( 'Top header', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_header_panel',
		)
	);

	// Top header phone number settings.
	$wp_customize->add_setting(
		'restro_cafe_pro_header_phone',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_header_phone'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_header_phone',
		array(
			'section'		=> 'restro_cafe_pro_top_header_section',
			'label'			=> esc_html__( 'Phone number:', 'restro-cafe-pro' ),
		)
	);

	$wp_customize->selective_refresh->add_partial( 'restro_cafe_pro_header_phone', array(
		'selector'        => '#top-navigation .widget_contact_address .phone span',
		'render_callback' => 'restro_cafe_pro_customize_partial_header_phone',
	) );

	// Top header email settings.
	$wp_customize->add_setting(
		'restro_cafe_pro_header_location',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_header_location'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_header_location',
		array(
			'section'		=> 'restro_cafe_pro_top_header_section',
			'label'			=> esc_html__( 'Email:', 'restro-cafe-pro' ),
		)
	);

	$wp_customize->selective_refresh->add_partial( 'restro_cafe_pro_header_location', array(
		'selector'        => '#top-navigation .widget_contact_address .message span',
		'render_callback' => 'restro_cafe_pro_customize_partial_header_phone',
	) );


	// Header section
	$wp_customize->add_section(
		'restro_cafe_pro_header_section',
		array(
			'title' => esc_html__( 'Header', 'restro-cafe-pro' ),
			'panel' => 'nav_menus',
		)
	);
	// Header menu sticky enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_make_menu_sticky',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => false
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_make_menu_sticky',
		array(
			'section'		=> 'restro_cafe_pro_header_section',
			'label'			=> esc_html__( 'Make menu sticky.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Header menu sticky enable settings
	$wp_customize->add_setting(
		'restro_cafe_pro_make_menu_transparent',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
			'default' => true,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_make_menu_transparent',
		array(
			'section'		=> 'restro_cafe_pro_header_section',
			'label'			=> esc_html__( 'Make menu transparent.', 'restro-cafe-pro' ),
			'type'			=> 'checkbox',
		)
	);

	// Your latest posts title setting
	$wp_customize->add_setting(	
		'restro_cafe_pro_your_latest_posts_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => esc_html__( 'Blogs', 'restro-cafe-pro' ),
			'transport'	=> 'postMessage',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_your_latest_posts_title',
		array(
			'section'		=> 'static_front_page',
			'label'			=> esc_html__( 'Title:', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_is_latest_posts'
		)
	);

	$wp_customize->selective_refresh->add_partial( 
		'restro_cafe_pro_your_latest_posts_title', 
		array(
	        'selector'            => '.home.blog #page-header .page-title',
			'render_callback'     => 'restro_cafe_pro_your_latest_posts_partial_title',
    	) 
    );

    // Color 
    $wp_customize->add_setting(	
		'restro_cafe_pro_theme_color_scheme',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default' => 'lite',
		)
	);

	$wp_customize->add_control( 'restro_cafe_pro_theme_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio',
			'label'			=> esc_html__( 'Theme color scheme:', 'restro-cafe-pro' ),
			'choices'			=> array( 
				'lite' => esc_html__( 'Lite', 'restro-cafe-pro' ), 
				'dark' => esc_html__( 'Dark', 'restro-cafe-pro' ), 
			),
		)
	);

	// Color scheme setting
	$wp_customize->add_setting(	
		'restro_cafe_pro_color_scheme',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
			'default'	=> 'default',
		)
	);

	$wp_customize->add_control( 
		new Restro_Cafe_Pro_Customize_Control_Radio_Color( 
		$wp_customize,
		'restro_cafe_pro_color_scheme',
		array(
			'section'		=> 'colors',
			'type'			=> 'radio-color',
			'label'			=> esc_html__( 'Color scheme:', 'restro-cafe-pro' ),
			'choices'		=> array( 
				'default' => array( 
					'color' => '#f44240'
				),
				'orange' => array( 
					'color' => '#ff8737'
				),
				'green' => array( 
					'color' => '#0cc652'
				),
				'blue' => array( 
					'color' => '#1E73BE'
				),
				'custom' => array( 
					'color' => '#f44240'
				),
			),
		)
	)
	);

	// Custom color scheme scheme setting
	$wp_customize->add_setting(	
		'restro_cafe_pro_custom_color_scheme',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_hex_color',
			'default' => '#f44240',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Color_Control( 
		$wp_customize,
			'restro_cafe_pro_custom_color_scheme',
			array(
				'section'		=> 'colors',
				'label'			=> esc_html__( 'Custom color:', 'restro-cafe-pro' ),
				'active_callback' => 'restro_cafe_pro_if_custom_color_scheme',
			)
		)
	);

	/**
	 *
	 * 
	 * Home sections panel
	 *
	 * 
	 */
	// Home sections panel
	$wp_customize->add_panel(
		'restro_cafe_pro_home_panel',
		array(
			'title' => esc_html__( 'Homepage Options', 'restro-cafe-pro' ),
			'priority' => 105
		)
	);

	// Homepage sort section
	$wp_customize->add_section(
		'restro_cafe_pro_homepage_section_sort',
		array(
			'title' => esc_html__( 'Sort sections', 'restro-cafe-pro' ),
			'panel' => 'restro_cafe_pro_home_panel',
		)
	);

	// Homepage sections sortable.
	$wp_customize->add_setting(	
		'restro_cafe_pro_sort_home_sections',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_sort',
			'default'	=> $default['restro_cafe_pro_sort_home_sections'],
		)
	);

	$wp_customize->add_control( 
		new Restro_Cafe_Pro_Customize_Control_Sort_Sections( 
		$wp_customize,
		'restro_cafe_pro_sort_home_sections',
			array(
				'section'		=> 'restro_cafe_pro_homepage_section_sort',
				'label'			=> esc_html__( 'Sort sections', 'restro-cafe-pro' ),
				'choices'  => array(
		            'slider'    => array(
		            	'name' => esc_html__( 'Slider', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_slider'
		            ),  
		            'popular'    => array(
		            	'name' => esc_html__( 'Popular', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_popular'
		            ),
		            'services'    => array(
		            	'name' => esc_html__( 'Services', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_services'
		            ),
		            'cta'    => array(
		            	'name' => esc_html__( 'CTA', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_cta'
		            ),
		            'category'    => array(
		            	'name' => esc_html__( 'Category Tab', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_cat_tab'
		            ),
		            'about'    => array(
		            	'name' => esc_html__( 'About', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_about'
		            ), 
		            'menus'    => array(
		            	'name' => esc_html__( 'Menus', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_menus'
		            ),
		            'blog'    => array(
		            	'name' => esc_html__( 'Blog Section', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_blog_section'
		            ),
		            'testimonials'    => array(
		            	'name' => esc_html__( 'Testimonial', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_testimonial'
		            ), 
		            'instagram'    => array(
		            	'name' => esc_html__( 'Instagram', 'restro-cafe-pro' ),
		            	'section_id' => 'restro_cafe_pro_instagram'
		            ),
		        ),
			)
		)
	);

	

	

	require get_parent_theme_file_path( '/inc/customizer/slider.php' );

	require get_parent_theme_file_path( '/inc/customizer/popular.php' );

	require get_parent_theme_file_path( '/inc/customizer/service.php' );

	require get_parent_theme_file_path( '/inc/customizer/cta.php' );

	require get_parent_theme_file_path( '/inc/customizer/category.php' );

	require get_parent_theme_file_path( '/inc/customizer/about.php' );

	require get_parent_theme_file_path( '/inc/customizer/menu.php' );

	require get_parent_theme_file_path( '/inc/customizer/blog.php' );

	require get_parent_theme_file_path( '/inc/customizer/testimonial.php' );

	require get_parent_theme_file_path( '/inc/customizer/instagram.php' );



	require get_parent_theme_file_path( '/inc/customizer/theme-option.php' );
}
add_action( 'customize_register', 'restro_cafe_pro_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function restro_cafe_pro_customize_preview_js() {
	wp_enqueue_script( 'restro-cafe-pro-customizer', get_theme_file_uri( '/assets/js/customizer.js' ), array( 'customize-preview' ), '20151215', true );
}
add_action( 'customize_preview_init', 'restro_cafe_pro_customize_preview_js' );

/**
 * Binds JS handlers for Customizer controls.
 */
function restro_cafe_pro_customize_control_js() {


	wp_enqueue_style( 'restro-cafe-pro-customize-style', get_theme_file_uri( '/assets/css/customize-controls.css' ), array(), '20151215' );

	wp_enqueue_script( 'restro-cafe-pro-customize-control', get_theme_file_uri( '/assets/js/customize-control.js' ), array( 'jquery', 'customize-controls' ), '20151215', true );
	$localized_data = array( 
		'refresh_msg' => esc_html__( 'Refresh the page after Save and Publish.', 'restro-cafe-pro' ),
		'reset_msg' => esc_html__( 'Warning!!! This will reset all the settings. Refresh the page after Save and Publish to reset all.', 'restro-cafe-pro' ),
	);

	wp_localize_script( 'restro-cafe-pro-customize-control', 'localized_data', $localized_data );
}
add_action( 'customize_controls_enqueue_scripts', 'restro_cafe_pro_customize_control_js' );

require get_parent_theme_file_path( '/inc/customizer/sanitize-callback.php' );

require get_parent_theme_file_path( '/inc/customizer/active-callback.php' );

require get_parent_theme_file_path( '/inc/customizer/partial-refresh.php' );
