<?php
/**
 *Instagram section
 */
//Instagram section
$wp_customize->add_section(
	'restro_cafe_pro_instagram',
	array(
		'title' => esc_html__( 'Your Instagram', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_home_panel',
	)
);

//Instagram enable settings
$wp_customize->add_setting(
	'restro_cafe_pro_instagram_enable',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_instagram_enable',
	array(
		'section'		=> 'restro_cafe_pro_instagram',
		'label'			=> esc_html__( 'Enable:', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);


// Instagram id
$wp_customize->add_setting(	
	'restro_cafe_pro_insta_token',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => '',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_insta_token',
	array(
		'section'		=> 'restro_cafe_pro_instagram',
		'label'			=> esc_html__( 'Instagram Access Token:', 'restro-cafe-pro' ),
		'description'			=> __( 'Get your Instagram token ID from <a target="_blank" href="https://instagram.pixelunion.net/"> here </a>', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_is_insta_enable'
	)
);


// Instagram column
$wp_customize->add_setting(	
	'restro_cafe_pro_insta_count',
	array(
		'sanitize_callback' => 'absint',
		'default' => 6,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_insta_count',
	array(
		'section'		=> 'restro_cafe_pro_instagram',
		'label'			=> esc_html__( 'Number of posts:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Range: 2 to 12', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_is_insta_enable',
		'input_attrs'	=> array( 'min' => 2, 'max' => 12 ),
		'type'			=> 'number'
	)
);

// Instagram column
$wp_customize->add_setting(	
	'restro_cafe_pro_insta_col',
	array(
		'sanitize_callback' => 'absint',
		'default' => 6,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_insta_col',
	array(
		'section'		=> 'restro_cafe_pro_instagram',
		'label'			=> esc_html__( 'Column:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Range: 2 to 6', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_is_insta_enable',
		'input_attrs'	=> array( 'min' => 2, 'max' => 6 ),
		'type'			=> 'number'
	)
);
