<?php
/**
 * Menus section
 */
// Menus section
$wp_customize->add_section(
	'restro_cafe_pro_menus',
	array(
		'title' => esc_html__( 'Menus', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_home_panel',
	)
);
$wp_customize->add_setting(
	'restro_cafe_pro_menus_section_background',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
	)
);

$wp_customize->add_control(
	new WP_Customize_Image_Control(
		$wp_customize,
		'restro_cafe_pro_menus_section_background',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Background Image ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
		)
	)
);

// Menus section title setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_section_title',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_menus_section_title'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_section_title',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Section Title ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			'type'       => 'text',
		)
	);

	// Menus section subtitle setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_section_subtitle',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			'default' => $default['restro_cafe_pro_menus_section_subtitle'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_section_subtitle',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Section SubTitle ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			'type'       => 'textarea',
		)
	);

// Menus custom name setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_readmore_btn',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_menus_readmore_btn'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_readmore_btn',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Button text ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			'type'       => 'text',
		)
	);

	// Menus custom link setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_readmore_url',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);
	$wp_customize->add_control(
		'restro_cafe_pro_menus_readmore_url',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Button link ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			'type'			=> 'url'
		)
	);

// Menus enable settings
$wp_customize->add_setting(
	'restro_cafe_pro_menus',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'custom'
	)
);



	
$choices =  array( 
				'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
				'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
				'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
				'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
				'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
		 	);
if ( restro_cafe_pro_is_woocommerce_activated() ) {
		$choices['recent-products'] = esc_html__( 'Recent products', 'restro-cafe-pro' );
		$choices['product'] = esc_html__( 'Products', 'restro-cafe-pro' );
	}

$wp_customize->add_control(
	'restro_cafe_pro_menus',
	array(
		'section'		=> 'restro_cafe_pro_menus',
		'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
		'type'			=> 'select',
		'choices'		=> $choices,
	)
);

// menus number setting
$wp_customize->add_setting(
	'restro_cafe_pro_menus_num',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
		'default' => 6,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_menus_num',
	array(
		'section'		=> 'restro_cafe_pro_menus',
		'label'			=> esc_html__( 'Number of menus:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Min: 1 | Max: 12', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
		'type'			=> 'number',
		'input_attrs'	=> array( 'min' => 2, 'max' => 12 ),
	)
);

// Menus number separator setting
$wp_customize->add_setting(
	'restro_cafe_pro_menus_num_separator',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
	)
);

$wp_customize->add_control(
	new Restro_Cafe_Pro_Multi_Custom_Control( 
	$wp_customize,
	'restro_cafe_pro_menus_num_separator',
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
			'type'			=> 'restro-cafe-pro-separator',
		)
	)
);

// Menus category setting
$wp_customize->add_setting(
	'restro_cafe_pro_menus_cat',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_menus_cat',
	array(
		'section'		=> 'restro_cafe_pro_menus',
		'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_menus_cat',
		'type'			=> 'select',
		'choices'		=> restro_cafe_pro_get_post_cat_choices(),
	)
);
$menus_num= get_theme_mod('restro_cafe_pro_menus_num', 6);

for ( $i=1; $i <= $menus_num; $i++ ) { 
	// Menus custom image setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_image_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'restro_cafe_pro_menus_image_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Image ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_menus_custom',
			)
		)
	);

	 // Menus custom content setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_custom_title_' . $i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_menus_custom_title'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_custom_title_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
			'active_callback' => 'restro_cafe_pro_if_menus_custom',
			'type'			=> 'text'
		)
	);

	// Menus custom link setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_custom_link_' . $i,
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);
	$wp_customize->add_control(
		'restro_cafe_pro_menus_custom_link_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Url ', 'restro-cafe-pro' ) . $i,
			'active_callback' => 'restro_cafe_pro_if_menus_custom',
			'type'			=> 'url'
		)
	);


    // Menus custom content setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_custom_content_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			'default' => $default['restro_cafe_pro_menus_custom_content'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_custom_content_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
			'description'			=> esc_html__( 'HTML Allowed', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_menus_custom',
			'type'			=> 'textarea'
		)
	);

	 // Menus custom content setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_custom_menus_price_' . $i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_menus_custom_price'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_custom_menus_price_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Price ', 'restro-cafe-pro' ) . $i,
			'active_callback' => 'restro_cafe_pro_if_menus_custom',
			'type'			=> 'text'
		)
	);

	// Menus post setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_post_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_post_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
			'active_callback' => 'restro_cafe_pro_if_menus_post',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_choices(),
		)
	);
	
	// Menus page setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_page_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_menus_page_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_menus',
			'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'restro_cafe_pro_if_menus_page'
		)
	);

	if ( restro_cafe_pro_is_woocommerce_activated () ) {
		

		// Menus product setting
		$wp_customize->add_setting(
			'restro_cafe_pro_menus_product_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_menus_product_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'label'			=> esc_html__( 'Product ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_woo_product(),
				'active_callback' => 'restro_cafe_pro_if_menus_product'
			)
		);
	}
	
	// Menus custom separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_menus_custom_separator_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_menus_custom_separator_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_menus',
				'active_callback' => 'restro_cafe_pro_if_menus_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);
}