<?php
/**
 * Selective refresh.
 */

/**
 * Render the phone number for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_header_phone() {
	echo esc_html( get_theme_mod( 'restro_cafe_pro_header_phone' ) );
}

/**
 * Render the header email for the selective refresh partial.
 *
 * @return void
 */
function restro_cafe_pro_customize_partial_header_email() {
	echo esc_html( get_theme_mod( 'restro_cafe_pro_header_location' ) );
}

/**
 * Selective refresh for about title.
 */
function restro_cafe_pro_cta_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_cta_title' ) );
}

/**
 * Selective refresh for about sub title.
 */
function restro_cafe_pro_cta_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_cta_sub_title' ) );
}

/**
 * Selective refresh for about content.
 */
function restro_cafe_pro_cta_partial_content() {
	return wp_kses_post( get_theme_mod( 'restro_cafe_pro_cta_content' ) );
}

/**
 * Selective refresh for about btn text.
 */
function restro_cafe_pro_cta_partial_btn_txt() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_cta_btn_txt' ) );
}

/**
 * Selective refresh for about title.
 */
function restro_cafe_pro_about_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_about_title' ) );
}

/**
 * Selective refresh for about sub title.
 */
function restro_cafe_pro_about_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_about_sub_title' ) );
}

/**
 * Selective refresh for about content.
 */
function restro_cafe_pro_about_partial_content() {
	return wp_kses_post( get_theme_mod( 'restro_cafe_pro_about_content' ) );
}

/**
 * Selective refresh for about btn text.
 */
function restro_cafe_pro_about_partial_btn_txt() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_about_btn_txt' ) );
}

/**
 * Selective refresh for featured title.
 */
function restro_cafe_pro_popular_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_popular_title' ) );
}

/**
 * Selective refresh for featured btn text.
 */   
function restro_cafe_pro_popular_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_popular_sub_title' ) );
}

/**
 * Selective refresh for category section title.
 */
function restro_cafe_pro_category_section_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_category_section_title' ) );
}

/**
 * Selective refresh for category section text.
 */
function restro_cafe_pro_category_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_category_section_sub_title' ) );
}

/**
 * Selective refresh for category section title.
 */
function restro_cafe_pro_services_section_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_services_section_title' ) );
}

/**
 * Selective refresh for category section text.
 */
function restro_cafe_pro_services_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_services_section_sub_title' ) );
}

/**
 * Selective refresh for menus title.
 */
function restro_cafe_pro_menus_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_menus_title' ) );
}

/**
 * Selective refresh for menus btn text.
 */   
function restro_cafe_pro_menus_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_menus_sub_title' ) );
}


/**
 * Selective refresh for testimonial subtitle.
 */
function restro_cafe_pro_testimonial_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_testimonial_sub_title' ) );
}

/**
 * Selective refresh for blog section title.
 */
function restro_cafe_pro_blog_section_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_blog_section_title' ) );
}

/**
 * Selective refresh for blog section text.
 */
function restro_cafe_pro_blog_section_partial_sub_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_blog_section_sub_title' ) );
}

/**
 * Selective refresh for blog section button text.
 */
function restro_cafe_pro_blog_section_partial_btn_txt() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_blog_section_btn_txt' ) );
}

/**
 * Selective refresh for footer copyright.
 */
function restro_cafe_pro_copyright_partial() {
	return wp_kses_post( get_theme_mod( 'restro_cafe_pro_copyright_txt' ) );
}

/**
 * Selective refresh for your latest posts title.
 */
function restro_cafe_pro_your_latest_posts_partial_title() {
	return esc_html( get_theme_mod( 'restro_cafe_pro_your_latest_posts_title' ) );
}
