<?php
/**
 * Popular section
 */
// Popular section
$wp_customize->add_section(
	'restro_cafe_pro_popular',
	array(
		'title' => esc_html__( 'Popular', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_home_panel',
	)
);

// Popular enable settings
$wp_customize->add_setting(
	'restro_cafe_pro_popular',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'custom'
	)
);

// Popular custom name setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_custom_btn',
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_popular_custom_btn'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_custom_btn',
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Button text ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_popular_not_disabled'
		)
	);

	// Popular custom link setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_custom_link',
		array(
			'sanitize_callback' => 'esc_url_raw',
			'default' => '#',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_custom_link',
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Button link ', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_popular_custom',
			'type'			=> 'url'
		)
	);
$choices =  array( 
				'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
				'post' => esc_html__( 'Post', 'restro-cafe-pro' ),
				'page' => esc_html__( 'Page', 'restro-cafe-pro' ),
				'cat' => esc_html__( 'Category', 'restro-cafe-pro' ),
				'custom' => esc_html__( 'Custom', 'restro-cafe-pro' ),
		 	);
if ( restro_cafe_pro_is_woocommerce_activated() ) {
		$choices['recent-products'] = esc_html__( 'Recent products', 'restro-cafe-pro' );
		$choices['product-cat'] = esc_html__( 'Product category ( Show categories )', 'restro-cafe-pro' );
		$choices['product'] = esc_html__( 'Products', 'restro-cafe-pro' );
	}

$wp_customize->add_control(
	'restro_cafe_pro_popular',
	array(
		'section'		=> 'restro_cafe_pro_popular',
		'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'Choose where you want to render the content from.', 'restro-cafe-pro' ),
		'type'			=> 'select',
		'choices'		=> $choices,
	)
);

// Popular number separator setting
$wp_customize->add_setting(
	'restro_cafe_pro_popular_num_separator',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
	)
);

$wp_customize->add_control(
	new Restro_Cafe_Pro_Multi_Custom_Control( 
	$wp_customize,
	'restro_cafe_pro_popular_num_separator',
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'active_callback' => 'restro_cafe_pro_if_popular_not_disabled',
			'type'			=> 'restro-cafe-pro-separator',
		)
	)
);

// Popular category setting
$wp_customize->add_setting(
	'restro_cafe_pro_popular_cat',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_popular_cat',
	array(
		'section'		=> 'restro_cafe_pro_popular',
		'label'			=> esc_html__( 'Category:', 'restro-cafe-pro' ),
		'active_callback' => 'restro_cafe_pro_if_popular_cat',
		'type'			=> 'select',
		'choices'		=> restro_cafe_pro_get_post_cat_choices(),
	)
);




for ( $i=1; $i <= 4; $i++ ) { 
	// Popular custom image setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_image_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_image',
		)
	);

	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'restro_cafe_pro_popular_image_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Image ', 'restro-cafe-pro' ) . $i,
				'active_callback' => 'restro_cafe_pro_if_popular_custom',
			)
		)
	);

	 // Popular custom content setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_custom_title_' . $i,
		array(
			'sanitize_callback' => 'sanitize_text_field',
			'default' => $default['restro_cafe_pro_popular_custom_title'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_custom_title_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Title ', 'restro-cafe-pro' ) . $i,
			'active_callback' => 'restro_cafe_pro_if_popular_custom',
			'type'			=> 'text'
		)
	);

    // Popular custom content setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_custom_content_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
			'default' => $default['restro_cafe_pro_popular_custom_content'],
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_custom_content_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Content ', 'restro-cafe-pro' ) . $i,
			'description'			=> esc_html__( 'HTML Allowed', 'restro-cafe-pro' ),
			'active_callback' => 'restro_cafe_pro_if_popular_custom',
			'type'			=> 'textarea'
		)
	);

	// Popular post setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_post_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_post_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Post ', 'restro-cafe-pro' ) . $i,
			'active_callback' => 'restro_cafe_pro_if_popular_post',
			'type'			=> 'select',
			'choices'		=> restro_cafe_pro_get_post_choices(),
		)
	);
	
	// Popular page setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_page_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_dropdown_pages',
			'default' => 0,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_popular_page_' . $i,
		array(
			'section'		=> 'restro_cafe_pro_popular',
			'label'			=> esc_html__( 'Page ', 'restro-cafe-pro' ) . $i,
			'type'			=> 'dropdown-pages',
			'active_callback' => 'restro_cafe_pro_if_popular_page'
		)
	);

	if ( restro_cafe_pro_is_woocommerce_activated () ) {
		// Popular product category setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_product_cat_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_product_cat_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Product category ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_woo_product_cat(),
				'active_callback' => 'restro_cafe_pro_if_popular_product_cat'
			)
		);

		// Popular product setting
		$wp_customize->add_setting(
			'restro_cafe_pro_popular_product_' . $i,
			array(
				'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
				'default' => 0,
			)
		);

		$wp_customize->add_control(
			'restro_cafe_pro_popular_product_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'label'			=> esc_html__( 'Product ', 'restro-cafe-pro' ) . $i,
				'type'			=> 'select',
				'choices'		=> restro_cafe_pro_get_woo_product(),
				'active_callback' => 'restro_cafe_pro_if_popular_product'
			)
		);
	}
	
	// Popular custom separator setting
	$wp_customize->add_setting(
		'restro_cafe_pro_popular_custom_separator_' . $i,
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		)
	);

	$wp_customize->add_control(
		new Restro_Cafe_Pro_Multi_Custom_Control( 
		$wp_customize,
		'restro_cafe_pro_popular_custom_separator_' . $i,
			array(
				'section'		=> 'restro_cafe_pro_popular',
				'active_callback' => 'restro_cafe_pro_if_popular_not_disabled',
				'type'			=> 'restro-cafe-pro-separator',
			)
		)
	);
}
