<?php
/**
 *
 * General settings panel
 * 
 */
// General settings panel
$wp_customize->add_panel(
	'restro_cafe_pro_general_panel',
	array(
		'title' => esc_html__( 'Theme Options', 'restro-cafe-pro' ),
		'priority' => 107
	)
);




/**
 * Font section
 */
// Font section
$wp_customize->add_section(
	'restro_cafe_pro_font',
	array(
		'title' => esc_html__( 'Font options', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Font enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_h1_h6_font_option',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => '',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_h1_h6_font_option',
	array(
		'section'		=> 'restro_cafe_pro_font',
		'label'			=> sprintf( esc_html__( 'H1 to H6 font family:', 'restro-cafe-pro' ) ),
		'type'			=> 'select',
		'choices'		=> restro_cafe_pro_font_choices(),
	)
);

// Body font setting
$wp_customize->add_setting(
	'restro_cafe_pro_body_font_option',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => '',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_body_font_option',
	array(
		'section'		=> 'restro_cafe_pro_font',
		'label'			=> esc_html__( 'Body font family:', 'restro-cafe-pro' ),
		'type'			=> 'select',
		'choices'		=> restro_cafe_pro_font_choices(),
	)
);

/**
 * General settings
 */
// General settings
$wp_customize->add_section(
	'restro_cafe_pro_general_section',
	array(
		'title' => esc_html__( 'General', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);


// Breadcrumb enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_breadcrumb_enable',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_breadcrumb_enable',
	array(
		'section'		=> 'restro_cafe_pro_general_section',
		'label'			=> esc_html__( 'Enable breadcrumb.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Backtop enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_back_to_top_enable',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_back_to_top_enable',
	array(
		'section'		=> 'restro_cafe_pro_general_section',
		'label'			=> esc_html__( 'Enable Scroll up.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 * Global Layout
 */
// Global Layout
$wp_customize->add_section(
	'restro_cafe_pro_global_layout',
	array(
		'title' => esc_html__( 'Global Layout', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Global site layout setting
$wp_customize->add_setting(
	'restro_cafe_pro_site_layout',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'wide',
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_site_layout',
	array(
		'section'		=> 'restro_cafe_pro_global_layout',
		'label'			=> esc_html__( 'Site layout', 'restro-cafe-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'boxed' => esc_html__( 'Boxed', 'restro-cafe-pro' ), 
			'wide' => esc_html__( 'Wide', 'restro-cafe-pro' ), 
			'frame' => esc_html__( 'Frame', 'restro-cafe-pro' ), 
		),
	)
);

// Global archive layout setting
$wp_customize->add_setting(
	'restro_cafe_pro_archive_sidebar',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_archive_sidebar',
	array(
		'section'		=> 'restro_cafe_pro_global_layout',
		'label'			=> esc_html__( 'Archive Sidebar', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'This option works on all archive pages like: 404, search, date, category, "Your latest posts" and so on.', 'restro-cafe-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
		),
	)
);

// Global page layout setting
$wp_customize->add_setting(
	'restro_cafe_pro_global_page_layout',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_global_page_layout',
	array(
		'section'		=> 'restro_cafe_pro_global_layout',
		'label'			=> esc_html__( 'Global page sidebar', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'This option works only on single pages including "Posts page". This setting can be overridden for single page from the metabox too.', 'restro-cafe-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
		),
	)
);

// Global post layout setting
$wp_customize->add_setting(
	'restro_cafe_pro_global_post_layout',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'right',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_global_post_layout',
	array(
		'section'		=> 'restro_cafe_pro_global_layout',
		'label'			=> esc_html__( 'Global post sidebar', 'restro-cafe-pro' ),
		'description'			=> esc_html__( 'This option works only on single posts. This setting can be overridden for single post from the metabox too.', 'restro-cafe-pro' ),
		'type'			=> 'radio',
		'choices'		=> array( 
			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
		),
	)
);

/**
 * Blog/Archive section 
 */
// Blog/Archive section 
$wp_customize->add_section(
	'restro_cafe_pro_archive_settings',
	array(
		'title' => esc_html__( 'Archive/Blog', 'restro-cafe-pro' ),
		'description' => esc_html__( 'Settings for archive pages including blog page too.', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Archive excerpt setting
$wp_customize->add_setting(
	'restro_cafe_pro_archive_excerpt',
	array(
		'sanitize_callback' => 'sanitize_text_field',
		'default' => esc_html__( 'View the post', 'restro-cafe-pro' ),
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_archive_excerpt',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Excerpt more text:', 'restro-cafe-pro' ),
	)
);

// Archive excerpt length setting
$wp_customize->add_setting(
	'restro_cafe_pro_archive_excerpt_length',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
		'default' => 60,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_archive_excerpt_length',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Excerpt more length:', 'restro-cafe-pro' ),
		'type'			=> 'number',
		'input_attrs'   => array( 'min' => 5 ),
	)
);

// Date enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_archive_date',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_archive_date',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Enable date.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Category enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_archive_cat',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_archive_cat',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Enable category.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Popular image enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_archive_featured_img',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_archive_featured_img',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Enable featured image.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Content type setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_archive_content_type',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'excerpt',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_archive_content_type',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Content type:', 'restro-cafe-pro' ),
		'choices'		=> array(
			'full-content' => esc_html__( 'Full content', 'restro-cafe-pro' ), 
			'excerpt' => esc_html__( 'Excerpt', 'restro-cafe-pro' ), 
		),
		'type'			=> 'radio',
	)
);

// Pagination type setting
$wp_customize->add_setting(
	'restro_cafe_pro_archive_pagination_type',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
		'default' => 'numeric',
	)
);

$archive_pagination_description = '';
$archive_pagination_choices = array( 
			'disable' => esc_html__( '--Disable--', 'restro-cafe-pro' ),
			'numeric' => esc_html__( 'Numeric', 'restro-cafe-pro' ),
			'older_newer' => esc_html__( 'Older / Newer', 'restro-cafe-pro' ),
		);
if ( ! class_exists( 'JetPack' ) ) {
	$archive_pagination_description = sprintf( esc_html__( 'We recommend to install %1$sJetpack%2$s and enable %3$sInfinite Scroll%4$s feature for automatic loading of posts.', 'restro-cafe-pro' ), '<a target="_blank" href="http://wordpress.org/plugins/jetpack">', '</a>', '<b>', '</b>' );
} else {
	$archive_pagination_choices['infinite_scroll'] = esc_html__( 'Infinite Load', 'restro-cafe-pro' );
}
$wp_customize->add_control(
	'restro_cafe_pro_archive_pagination_type',
	array(
		'section'		=> 'restro_cafe_pro_archive_settings',
		'label'			=> esc_html__( 'Pagination type:', 'restro-cafe-pro' ),
		'description'			=>  $archive_pagination_description,
		'type'			=> 'select',
		'choices'		=> $archive_pagination_choices,
	)
);

/**
 * Single setting section 
 */
// Single setting section 
$wp_customize->add_section(
	'restro_cafe_pro_single_settings',
	array(
		'title' => esc_html__( 'Single Posts', 'restro-cafe-pro' ),
		'description' => esc_html__( 'Settings for all single posts.', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Date enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_date',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_date',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable date.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Category enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_cat',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_cat',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable category.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Tag enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_tag',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_tag',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable tags.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Comment enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_comment',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_comment',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable comment.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);


// Author enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_author',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_author',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable author.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Popular image enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_featured_img',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_featured_img',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable featured image.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Pagination enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_pagination',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_pagination',
	array(
		'section'		=> 'restro_cafe_pro_single_settings',
		'label'			=> esc_html__( 'Enable pagination.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 * Single pages setting section 
 */
// Single pages setting section 
$wp_customize->add_section(
	'restro_cafe_pro_single_page_settings',
	array(
		'title' => esc_html__( 'Single Pages', 'restro-cafe-pro' ),
		'description' => esc_html__( 'Settings for all single pages.', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Author enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_page_author',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_page_author',
	array(
		'section'		=> 'restro_cafe_pro_single_page_settings',
		'label'			=> esc_html__( 'Enable author.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Popular image enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_page_featured_img',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_page_featured_img',
	array(
		'section'		=> 'restro_cafe_pro_single_page_settings',
		'label'			=> esc_html__( 'Enable featured image.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Pagination enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_single_page_pagination',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => false,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_single_page_pagination',
	array(
		'section'		=> 'restro_cafe_pro_single_page_settings',
		'label'			=> esc_html__( 'Enable pagination.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 * Reset all settings
 */
// Reset settings section
$wp_customize->add_section(
	'restro_cafe_pro_reset_sections',
	array(
		'title' => esc_html__( 'Reset all', 'restro-cafe-pro' ),
		'description' => esc_html__( 'Reset all settings to default.', 'restro-cafe-pro' ),
		'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Reset sortable order setting
$wp_customize->add_setting(
	'restro_cafe_pro_reset_settings',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => false,
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_reset_settings',
	array(
		'section'		=> 'restro_cafe_pro_reset_sections',
		'label'			=> esc_html__( 'Reset all settings?', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

/**
 *
 *
 * Footer copyright
 *
 *
 */
// Footer copyright
$wp_customize->add_section(
	'restro_cafe_pro_footer_section',
	array(
		'title' => esc_html__( 'Footer', 'restro-cafe-pro' ),
		'priority' => 106,
		// 'panel' => 'restro_cafe_pro_general_panel',
	)
);

// Footer social menu enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_footer_social_menu',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_footer_social_menu',
	array(
		'section'		=> 'restro_cafe_pro_footer_section',
		'label'			=> esc_html__( 'Enable social menu.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Footer text enable setting
$wp_customize->add_setting(
	'restro_cafe_pro_enable_footer_text',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_checkbox',
		'default' => true,
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_enable_footer_text',
	array(
		'section'		=> 'restro_cafe_pro_footer_section',
		'label'			=> esc_html__( 'Enable footer text.', 'restro-cafe-pro' ),
		'type'			=> 'checkbox',
	)
);

// Footer copyright setting
$wp_customize->add_setting(
	'restro_cafe_pro_copyright_txt',
	array(
		'sanitize_callback' => 'restro_cafe_pro_sanitize_html',
		'default' => $default['restro_cafe_pro_copyright_txt'],
		'transport'	=> 'postMessage',
	)
);

$wp_customize->add_control(
	'restro_cafe_pro_copyright_txt',
	array(
		'section'		=> 'restro_cafe_pro_footer_section',
		'label'			=> esc_html__( 'Copyright text:', 'restro-cafe-pro' ),
		'type'			=> 'textarea',
		'active_callback' => 'restro_cafe_pro_if_footer_text_enable',
	)
);

$wp_customize->selective_refresh->add_partial( 
	'restro_cafe_pro_copyright_txt', 
	array(
        'selector'            => '#colophon .site-info .footer-copyright',
		'render_callback'     => 'restro_cafe_pro_copyright_partial',
	) 
);

if ( restro_cafe_pro_is_woocommerce_activated() ) :
	// Woo products per page
	$wp_customize->add_setting(
		'restro_cafe_pro_woo_products_per_page',
		array(
			'sanitize_callback' => 'restro_cafe_pro_sanitize_number_range',
			'default' => 12,
		)
	);

	$wp_customize->add_control(
		'restro_cafe_pro_woo_products_per_page',
		array(
			'section'		=> 'woocommerce_product_catalog',
			'label'			=> esc_html__( 'Products per page', 'restro-cafe-pro' ),
			'type'			=> 'number',
			'input_attrs'	=> array( 'min' => 0 ),
		)
	);
	/**
	 * WooCommerce Options
	 */
	// Top  header section
	$wp_customize->add_section(
		'restro_cafe_pro_woo_layout',
		array(
			'title' => esc_html__( 'Woo Layout', 'restro-cafe-pro' ),
			'panel' => 'woocommerce',
		)
	);

    // Woo pages sidebar setting
    $wp_customize->add_setting(
    	'restro_cafe_pro_woo_global_archive_sidebar',
    	array(
    		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
    		'default' => 'right',
    	)
    );

    $wp_customize->add_control(
    	'restro_cafe_pro_woo_global_archive_sidebar',
    	array(
    		'section'		=> 'restro_cafe_pro_woo_layout',
    		'label'			=> esc_html__( 'Archive Sidebar', 'restro-cafe-pro' ),
    		'description'			=> esc_html__( 'This option works on all WooCommerce archive pages like: product, tag archive and shop page.', 'restro-cafe-pro' ),
    		'type'			=> 'radio',
    		'choices'		=> array( 
    			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
    			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
    			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
    		),
    	)
    );

    // Global page layout setting
    $wp_customize->add_setting(
    	'restro_cafe_pro_woo_global_singular_layout',
    	array(
    		'sanitize_callback' => 'restro_cafe_pro_sanitize_select',
    		'default' => 'right',
    	)
    );

    $wp_customize->add_control(
    	'restro_cafe_pro_woo_global_singular_layout',
    	array(
    		'section'		=> 'restro_cafe_pro_woo_layout',
    		'label'			=> esc_html__( 'Global single sidebar', 'restro-cafe-pro' ),
    		'description'			=> esc_html__( 'This option works only on WooCommerge single products. This setting can be overridden for single product from the metabox too.', 'restro-cafe-pro' ),
    		'type'			=> 'radio',
    		'choices'		=> array( 
    			'left' => esc_html__( 'Left', 'restro-cafe-pro' ), 
    			'right' => esc_html__( 'Right', 'restro-cafe-pro' ), 
    			'no' => esc_html__( 'No Sidebar', 'restro-cafe-pro' ), 
    		),
    	)
    );
endif;