<?php
/**
 * Template part for displaying front page partner.
 *
 * @package Moral
 */

$enable_cat_tab = get_theme_mod( 'restro_cafe_pro_cat_tab_enable', true );

if ( ! $enable_cat_tab ) {
    return;
}
$default = restro_cafe_pro_get_default_mods();

$cat_num = get_theme_mod( 'restro_cafe_pro_cta_tab_num', 6 );

?>
<div id="shop-now" class="relative page-section">
    <div class="wrapper">
        <div class="section-header">
            <?php  
            $section_title =  get_theme_mod( 'restro_cafe_pro_category_section_title', $default['restro_cafe_pro_category_section_title'] );
            $section_sub_title =  get_theme_mod( 'restro_cafe_pro_category_section_sub_title', $default['restro_cafe_pro_category_section_sub_title'] );
            
            if ( ! empty( $section_sub_title ) ) : ?>
                <p class="section-subtitle"><?php echo esc_html( $section_sub_title ); ?></p>
            <?php endif; 
            if ( ! empty( $section_title ) ) : ?>
                <h2 class="section-title"><?php echo esc_html( $section_title ); ?></h2>
            <?php endif; ?>

        </div><!-- .section-header -->
        <ul class="tabs clear">
            <?php for ( $i=1; $i <= $cat_num; $i++ ) { 
                $cat_id = get_theme_mod( 'restro_cafe_pro_cat_tab_cat_' . $i );
                if ( $cat_id ) :
                    $term_obj = get_term( $cat_id, '', OBJECT, 'raw' );
                    $cat_name = $term_obj->name;
                    $cat_slug = $term_obj->slug;
                    $count = $term_obj->count;
                    ?>
                    <li class="tab-link <?php echo ( 1 == $i ) ? 'active': ''; ?>" data-tab="<?php echo esc_attr( $cat_slug );?>"><a href="#."><?php echo esc_html( $cat_name ); ?></a></li>
                <?php 
                endif;
            } ?>
        </ul>
        <?php for ( $j=1; $j <= $cat_num; $j++ ) { 
                $cat_id = get_theme_mod( 'restro_cafe_pro_cat_tab_cat_' . $j );
                if ( $cat_id ) :
                    $term_obj = get_term( $cat_id, '', OBJECT, 'raw' );
                    $cat_name = $term_obj->name;
                    $cat_slug = $term_obj->slug;
                    $count = $term_obj->count;
                    ?>
                            
                <div id="<?php echo esc_attr( $cat_slug );?>" class="tab-content <?php echo ( 1 == $j ) ? 'active': ''; ?> clear col-4">
                    <?php 
                    // All this double loop lang lang is to solve the repeating posts to use array_unique.
                                

                    if ( $cat_id ) :
                        $args = array(
                            'post_type'         => 'product',
                            'tax_query'      => array(
                                array(
                                    'taxonomy' => 'product_cat',
                                    'terms'    => $cat_id,
                                    
                                ),
                            ),
                            'posts_per_page'    => 4,
                        );
                            $products = wc_get_products( $args );
                            if ( $products ) :
                            foreach ( $products as $product ) {
                               $url = $product->get_permalink();
                                $thumbnail_id = $product->get_image_id();
                                $img_url = wp_get_attachment_url( $thumbnail_id );
                                $name  = $product->get_name(); ?>
                                    
                                        <article>
                                            <div class="featured-image" style="background-image:url('<?php echo esc_url( $img_url ); ?>');">
                                                <a href="<?php echo esc_url( $url ); ?>" class="post-thumbnail-link"></a>
                                            </div><!-- .featured-image -->

                                            <header class="entry-header">

                                                <h2 class="entry-title"><a href="<?php echo esc_url( $url ); ?>"><?php echo esc_html( $name );?></a></h2>
                                            </header>

                                            <div class="entry-content">
                                                <p>
                                                    <?php 
                                                        $excerpt = $product->get_short_description();
                                                         echo wp_trim_words( $excerpt, 10);
                                                     ?>
                                                     
                                                 </p>
                                            </div><!-- .entry-content -->

                                            <span class="price">
                                                <span class="woocommerce-Price-amount amount">
                                                    From <span class="woocommerce-Price-currencySymbol"><?php echo $product->get_price_html(); ?></span>
                                                </span>
                                            </span><!-- .price -->

                                        </article>
                                    
                            <?php }
                            endif; endif; ?>
                </div>
            <?php endif; } ?>
    </div><!-- .wrapper -->
</div><!-- #latest-products-collection -->