<?php
/**
 * Template part for displaying front page popular.
 *
 * @package Moral
 */

// Get default  mods value.
$popular = get_theme_mod( 'restro_cafe_pro_popular', 'custom' );

if ( 'disable' === $popular ) {
    return;
}

$default = restro_cafe_pro_get_default_mods();

$popular_readmore = get_theme_mod( 'restro_cafe_pro_popular_custom_btn',$default['restro_cafe_pro_popular_custom_btn'] ); ?>

<div id="popular-dishes" class="relative page-section same-background">
	<div class="wrapper">
        <!-- supports upto 8 items -->
        <div class="col-2">
		<?php
		if (  in_array( $popular, array( 'post', 'page', 'cat' ) ) ) {

		    if ( 'cat' === $popular ) {
		        $cat_id = get_theme_mod( 'restro_cafe_pro_popular_cat' );
		        $args = array(
		            'cat' => $cat_id,   
		            'posts_per_page' => 4,
		        );
		    } else {
		        $id = array();
		        for ( $i=1; $i <= 4; $i++ ) { 
		            $id[] = get_theme_mod( "restro_cafe_pro_popular_{$popular}_" . $i );
		        }

		        $args = array(
		            'post_type' => $popular,
		            'post__in' => (array)$id,   
	                'orderby'   => 'post__in',
		            'posts_per_page' => 4,
		            'ignore_sticky_posts' => true,
		        );
		    }

		    $query = new WP_Query( $args );
		    $i=1;
		    if ( $query->have_posts() ) :
		        while ( $query->have_posts() ) :
		            $query->the_post();
		            ?>

		            <article>
		                <div class="dish-item-wrapper" style="background-image: url('<?php the_post_thumbnail_url('large') ?>');">
		                    <div class="entry-container">
		                        <header class="entry-header">
		                            <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
		                        </header>

		                        <div class="entry-content">
		                            <?php 
		                                $excerpt = get_the_content();
		                                 echo wp_trim_words( $excerpt, 3); 
                                 	?>
		                        </div><!-- .entry-content -->

		                        <?php if (!empty($popular_readmore)) : ?>
			                        <div class="read-more">
			                            <a href="<?php the_permalink(); ?>" class="btn"><?php echo esc_html($popular_readmore); ?></a>
			                        </div><!--. read-more -->
		                    	<?php endif; ?>
		                    </div><!-- .entry-container -->
		                </div><!-- .dish-item-wrapper -->
		            </article>
		        <?php 
		    	endwhile;
		        wp_reset_postdata();
		    endif; 
		} elseif( 'custom' === $popular ) {
		    for ( $i=1; $i <= 4; $i++ ) { 
		        $img_url = get_theme_mod( 'restro_cafe_pro_popular_image_' . $i );
		        $title   = get_theme_mod( 'restro_cafe_pro_popular_custom_title_' . $i, $default['restro_cafe_pro_popular_custom_title'] );
		        $content   = get_theme_mod( 'restro_cafe_pro_popular_custom_content_' . $i, $default['restro_cafe_pro_popular_custom_content'] );
		        $btn_url = get_theme_mod( 'restro_cafe_pro_popular_custom_link_' . $i, '#' );
		        $btn_txt = get_theme_mod( 'restro_cafe_pro_popular_custom_btn_' . $i, $default['restro_cafe_pro_popular_custom_btn'] );
		        
		        ?>
		        <article>
	                <div class="dish-item-wrapper" style="background-image: url('<?php echo esc_url( $img_url );?>');">
	                    <div class="entry-container">
	                        <header class="entry-header">
	                            <h2 class="entry-title"><a href="<?php echo esc_url($btn_url); ?>"><?php echo esc_html($title); ?></a></h2>
	                        </header>

	                        <div class="entry-content">
	                            <?php echo wp_kses_post( $content, $default['restro_cafe_pro_popular_custom_content'] ); ?>
	                        </div><!-- .entry-content -->

	                        <?php if (!empty($popular_readmore)) : ?>
		                        <div class="read-more">
		                            <a href="<?php echo esc_url($btn_url); ?>" class="btn"><?php echo esc_html($popular_readmore); ?></a>
		                        </div><!--. read-more -->
	                    	<?php endif; ?>
	                    </div><!-- .entry-container -->
	                </div><!-- .dish-item-wrapper -->
	            </article>
		<?php   
		    }
		} elseif( 'product-cat' === $popular ) {
			for ( $i=1; $i <= 4; $i++ ) { 
		        $cat_id = get_theme_mod( 'restro_cafe_pro_popular_product_cat_' . $i );
		        if ( $cat_id ) :
	    	        	$term_link = get_term_link( (int)$cat_id, 'product_cat' );
	        	        	$term_obj = get_term_by( 'id', $cat_id, 'product_cat' );
	        	        	$term_name = $term_obj->name;
							
	    	        ?>
	    	        <article>
		                <div class="dish-item-wrapper" style="background-image: url('<?php echo esc_url( restro_cafe_pro_get_cat_featured_img_url( $cat_id ) );?>');">
		                    <div class="entry-container">
		                        <header class="entry-header">
		                            <h2 class="entry-title"><a href="<?php echo esc_url( $term_link ) ; ?>"><?php echo esc_html( $term_name );?></a></h2>
		                        </header>

		                        <div class="entry-content">
		                        	<?php 
		                                $excerpt = $term_obj->description;
		                                 echo wp_trim_words( $excerpt, 3); 
	                                 ?>
		                           
		                        </div><!-- .entry-content -->

		                        <?php if (!empty($popular_readmore)) : ?>
			                        <div class="read-more">
			                            <a href="<?php echo esc_url( $term_link ) ; ?>" class="btn"><?php echo esc_html($popular_readmore); ?></a>
			                        </div><!--. read-more -->
		                    	<?php endif; ?>
		                    </div><!-- .entry-container -->
		                </div><!-- .dish-item-wrapper -->
		            </article>
		    	<?php
		    	endif;
		    }
		} elseif( in_array( $popular, array( 'recent-products', 'product' ) ) ) {
			if ( 'product' ===  $popular ) {
	    		$product_ids = array();
	    		for ( $i=1; $i <= 4; $i++ ) { 
	    	        $product_id = get_theme_mod( 'restro_cafe_pro_popular_product_' . $i );
	    	        if ( $product_id ) {
	    	        	$product_ids[] = $product_id;
	    	        }
	    	    }

	    	    $args = array( 'orderby'   => 'post__in', 'include' => $product_ids );
			} else {
	    	    $args = array( 'posts_per_page' => 4 );
			}
		    $products = wc_get_products( $args );
		    if ( $products ) :
		    	$j = 1;
		    	foreach ( $products as $product ) {
	    	       $url = $product->get_permalink();
	    	        $thumbnail_id = $product->get_image_id();
	    	        $img_url = wp_get_attachment_url( $thumbnail_id );
	    	        $name  = $product->get_name();
	    	        
	    	        ?>
	    	        <article>
		                <div class="dish-item-wrapper" style="background-image: url('<?php echo esc_url( $img_url ); ?>');">
		                    <div class="entry-container">
		                        <header class="entry-header">
		                            <h2 class="entry-title"><a href="<?php echo esc_url( $url ); ?>"><?php echo esc_html( $name );?></a></h2>
		                        </header>

		                        <div class="entry-content">
		                            <p>
		                            	<?php 
		                                $excerpt = $product->get_short_description();
		                                 echo wp_trim_words( $excerpt, 3); 
	                                 ?>
	                                 	
	                                 </p>
		                        </div><!-- .entry-content -->

		                        <?php if (!empty($popular_readmore)) : ?>
			                        <div class="read-more">
			                            <a href="<?php echo esc_url( $product->get_permalink() ); ?>" class="btn"><?php echo esc_html($popular_readmore); ?></a>
			                        </div><!--. read-more -->
		                    	<?php endif; ?>
		                    </div><!-- .entry-container -->
		                </div><!-- .dish-item-wrapper -->
		            </article>
	    	        
		    	<?php
		    	$j++;
		    	}
		    endif;
		}  
		
		?>
		</div><!-- #featured-popular -->
	</div><!-- .wrapper -->
</div><!-- #product-popular -->