<?php
/**
 * Template part for displaying front page slider.
 *
 * @package Moral
 */

// Get default  mods value.
$slider = get_theme_mod( 'restro_cafe_pro_slider', 'custom' );

if ( 'disable' === $slider ) {
    return;
}

$default = restro_cafe_pro_get_default_mods();

$slider_num = get_theme_mod( 'restro_cafe_pro_slider_num', 3 );
$slider_readmore = get_theme_mod( 'restro_cafe_pro_slider_custom_btn' );
$opacity = get_theme_mod( 'restro_cafe_pro_slider_overlay', 0 );
$slider_design = get_theme_mod( 'restro_cafe_pro_slider_design', 'slider-one' ); ?>


	<div id="featured-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": true, "arrows":true, "autoplay": false, "draggable": true, "fade": false }'>
		<?php
		if (  in_array( $slider, array( 'post', 'page', 'cat' ) ) ) {

		    if ( 'cat' === $slider ) {
		        $cat_id = get_theme_mod( 'restro_cafe_pro_slider_cat' );
		        $args = array(
		            'cat' => $cat_id,   
		            'posts_per_page' => $slider_num,
		        );
		    } else {
		        $id = array();
		        for ( $i=1; $i <= $slider_num; $i++ ) { 
		            $id[] = get_theme_mod( "restro_cafe_pro_slider_{$slider}_" . $i );
		        }

		        $args = array(
		            'post_type' => $slider,
		            'post__in' => (array)$id,   
	                'orderby'   => 'post__in',
		            'posts_per_page' => $slider_num,
		            'ignore_sticky_posts' => true,
		        );
		    }

		    $query = new WP_Query( $args );
		    $i=1;
		    if ( $query->have_posts() ) :
		        while ( $query->have_posts() ) :
		            $query->the_post();
		            ?>
		        <article style="background-image:url('<?php the_post_thumbnail_url('full'); ?>');">
                    <div class="overlay"></div>
                    <div class="wrapper">
                        <div class="featured-content-wrapper">
                            <header class="entry-header">
                            	 <?php $slider_subtitle = get_theme_mod( 'restro_cafe_pro_slider_custom_subtitle_' .$i, $default['restro_cafe_pro_slider_custom_subtitle'] );
                            	 if (!empty($slider_subtitle)) : ?>
                                	<span><?php echo esc_html( $slider_subtitle ); ?></span>
                               	<?php endif; ?>
                                <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                            </header>

                            <div class="entry-content">
                                <?php 
	                                $excerpt = get_the_content();
	                                 echo wp_trim_words( $excerpt, 20); 
                                 ?>
                            </div><!-- .entry-content-->
                            <?php if (!empty($slider_readmore)) : ?>
	                            <div class="read-more">
	                                <a href="<?php the_permalink(); ?>" class="btn"><?php echo esc_html($slider_readmore ); ?></a>
	                            </div><!-- .read-more -->
                        	<?php endif; ?>
                        </div><!-- .featured-content-wrapper -->
                    </div><!-- .wrapper -->
                </article>
		        <?php 
		    	$i++;
		    endwhile;
		        wp_reset_postdata();
		    endif; 
		} else {
		    for ( $i=1; $i <= $slider_num; $i++ ) { 
		        $img_url = get_theme_mod( 'restro_cafe_pro_slider_image_' . $i );
		        $title   = get_theme_mod( 'restro_cafe_pro_slider_custom_title_' . $i, $default['restro_cafe_pro_slider_custom_title'] );
		        $content   = get_theme_mod( 'restro_cafe_pro_slider_custom_content_' . $i, $default['restro_cafe_pro_slider_custom_content'] );
		        $btn_url = get_theme_mod( 'restro_cafe_pro_slider_custom_link_' . $i, '#' );
		        $btn_txt = get_theme_mod( 'restro_cafe_pro_slider_custom_btn_' . $i, $default['restro_cafe_pro_slider_custom_btn'] );
		        
		        ?>
		        <article style="background-image:url('<?php echo esc_url( $img_url );?>');">
                    <div class="overlay"></div>
                    <div class="wrapper">
                        <div class="featured-content-wrapper">

                            <header class="entry-header">
                            	 <?php $slider_subtitle = get_theme_mod( 'restro_cafe_pro_slider_custom_subtitle_' .$i );
                            	 if (!empty($slider_subtitle)) : ?>
                                	<span><?php echo esc_html( $slider_subtitle ); ?></span>
                               	<?php endif; ?>
                               	<?php if (!empty($slider_subtitle))  : ?>
                                	<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php echo esc_html($title); ?></a></h2>
                            	<?php endif; ?>
                            </header>

                            <div class="entry-content">
                                <?php echo wp_kses_post( $content, $default['restro_cafe_pro_slider_custom_content'] );?>
                            </div><!-- .entry-content-->
                            <?php if (!empty($slider_readmore) && !empty($btn_url) ) : ?>
	                            <div class="read-more">
	                                <a href="<?php echo esc_url($btn_url); ?>" class="btn"><?php echo esc_html($slider_readmore ); ?></a>
	                            </div><!-- .read-more -->
                        	<?php endif; ?>
                        </div><!-- .featured-content-wrapper -->
                    </div><!-- .wrapper -->
                </article>
		<?php   
		    }
		}
		?>
	</div><!-- #featured-slider -->
