<?php
/**
 * Template part for displaying front page testimonial.
 *
 * @package Moral
 */

// Get default  mods value.
$testimonial = get_theme_mod( 'restro_cafe_pro_testimonial', 'custom' );

if ( 'disable' === $testimonial ) {
    return;
}

$default = restro_cafe_pro_get_default_mods();

$testimonial_num = get_theme_mod( 'restro_cafe_pro_testimonial_num', 3 );

$default = restro_cafe_pro_get_default_mods();
?>
<div id="testimonial-section" class="relative page-section same-background">
    <div class="wrapper">
        <div class="testimonial-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": true, "speed": 1500, "dots": true, "arrows":false, "autoplay": false, "draggable": true, "fade": false }'>
	        	<?php

	        	if (  in_array( $testimonial, array( 'post', 'page', 'cat' ) ) ) {

	        	    if ( 'cat' === $testimonial ) {
	        	        $cat_id = get_theme_mod( 'restro_cafe_pro_testimonial_cat' );
	        	        $args = array(
	        	            'cat' => $cat_id,   
	        	            'posts_per_page' => absint( $testimonial_num ),
	        	        );
	        	    } else {
	        	        $id = array();
	        	        for ( $i=1; $i <= $testimonial_num; $i++ ) { 
	        	            $id[] = get_theme_mod( "restro_cafe_pro_testimonial_{$testimonial}_" . $i );
	        	        }
	        	        $args = array(
	        	            'post_type' => $testimonial,
	        	            'post__in' => (array)$id,   
                            'orderby'   => 'post__in',
	        	            'posts_per_page' => absint( $testimonial_num ),
	        	            'ignore_sticky_posts' => true,
	        	        );
	        	    }

	        	    $query = new WP_Query( $args );
	        	    $i = 1;
	        	    if ( $query->have_posts() ) :
	        	        while ( $query->have_posts() ) :
	        	            $query->the_post();
	        	            ?>
	        	        	<article>
				                <div class="entry-content">
				                    <span class="quote">“</span><p><?php 
	                                $excerpt = get_the_content();
	                                 echo wp_trim_words( $excerpt, 20); 
                                 ?></p>
				                </div><!-- .entry-content -->

				                <div class="testimonial-details">
				                    <div class="featured-image" style="background-image: url('<?php the_post_thumbnail_url('full'); ?>"> 
				                        <a href="<?php the_permalink(); ?>" class="post-thumbnail-link"></a>
				                    </div><!-- .featured-image -->

				                    <header class="entry-header">
				                        <h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
				                        <p class="position"><?php echo esc_html( get_theme_mod( 'restro_cafe_pro_testimonial_custom_sub_title_' . $i, $default['restro_cafe_pro_testimonial_custom_sub_title'] ) ); ?></p>
				                    </header>
				                </div><!-- .testimonial-details -->
				            </article>
	        	        <?php 
	        	        $i++;
	        	    	endwhile;
	        	        wp_reset_postdata();
	        	    endif; 
	        	} else {
	        	    for ( $i=1; $i <= $testimonial_num; $i++ ) { 
	        	        $title   = get_theme_mod( 'restro_cafe_pro_testimonial_custom_name_' . $i, $default['restro_cafe_pro_testimonial_custom_name'] );
	        	        $sub_title   = get_theme_mod( 'restro_cafe_pro_testimonial_custom_sub_title_' . $i, $default['restro_cafe_pro_testimonial_custom_sub_title'] );
	        	        $excerpt   = get_theme_mod( 'restro_cafe_pro_testimonial_custom_content_' . $i, $default['restro_cafe_pro_testimonial_custom_content'] );

	        	        $img_url = get_theme_mod( 'restro_cafe_pro_testimonial_image_' . $i );
	        	        $url = get_theme_mod( 'restro_cafe_pro_testimonial_custom_url_' . $i );
	        	        
	        	        ?>
	        	        <article>
			                <div class="entry-content">
			                    <span class="quote">“</span><p><?php echo wp_kses_post( $excerpt ); ?></p>
			                </div><!-- .entry-content -->

			                <div class="testimonial-details">
			                	<?php if ( ! empty( $img_url ) ) : ?>
			                		<div class="featured-image" style="background-image: url('<?php echo esc_url( $img_url ); ?>"> 
			                        <a href="<?php echo esc_url($url); ?>" class="post-thumbnail-link"></a>
			                    </div><!-- .featured-image -->
			                		
			                	<?php endif ?>
			                    

			                    <header class="entry-header">
			                        <h2 class="entry-title"><a href="<?php echo esc_url($url); ?>"><?php echo esc_html( $title ); ?></a></h2>
			                        <p class="position"><?php echo esc_html( $sub_title ); ?></p>
			                    </header>
			                </div><!-- .testimonial-details -->
			            </article>
	        	<?php   
	        	    }
	        	}
	        	?>
		</div><!-- .testimonial-slider -->
    </div><!-- .wrapper -->
</div><!-- #testimonial-section -->
